io.vertx.rxjava.ext.consul

## Class ConsulClient

- java.lang.Object
- - io.vertx.rxjava.ext.consul.ConsulClient

-     public class ConsulClient
      extends Object

  A Vert.x service used to interact with Consul.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ConsulClient>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsulClient(ConsulClient delegate)`
    `ConsulClient(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsulClient` | `agentInfo()` Returns the configuration and member information of the local agent
    `ConsulClient` | `agentInfo(Handler<AsyncResult<JsonObject>> resultHandler)` Returns the configuration and member information of the local agent
    `ConsulClient` | `catalogDatacenters()` Return all the datacenters that are known by the Consul server
    `ConsulClient` | `catalogDatacenters(Handler<AsyncResult<List<String>>> resultHandler)` Return all the datacenters that are known by the Consul server
    `ConsulClient` | `catalogNodes()` Returns the nodes registered in a datacenter
    `ConsulClient` | `catalogNodes(Handler<AsyncResult<NodeList>> resultHandler)` Returns the nodes registered in a datacenter
    `ConsulClient` | `catalogNodeServices(String node)` Returns the node's registered services
    `ConsulClient` | `catalogNodeServices(String node, Handler<AsyncResult<ServiceList>> resultHandler)` Returns the node's registered services
    `ConsulClient` | `catalogNodeServicesWithOptions(String node, BlockingQueryOptions options)` Returns the node's registered services This is blocking query unlike `catalogNodeServices(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
    `ConsulClient` | `catalogNodeServicesWithOptions(String node, BlockingQueryOptions options, Handler<AsyncResult<ServiceList>> resultHandler)` Returns the node's registered services This is blocking query unlike `catalogNodeServices(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
    `ConsulClient` | `catalogNodesWithOptions(NodeQueryOptions options)` Returns the nodes registered in a datacenter
    `ConsulClient` | `catalogNodesWithOptions(NodeQueryOptions options, Handler<AsyncResult<NodeList>> resultHandler)` Returns the nodes registered in a datacenter
    `ConsulClient` | `catalogServiceNodes(String service)` Returns the nodes providing a service
    `ConsulClient` | `catalogServiceNodes(String service, Handler<AsyncResult<ServiceList>> resultHandler)` Returns the nodes providing a service
    `ConsulClient` | `catalogServiceNodesWithOptions(String service, ServiceQueryOptions options)` Returns the nodes providing a service
    `ConsulClient` | `catalogServiceNodesWithOptions(String service, ServiceQueryOptions options, Handler<AsyncResult<ServiceList>> resultHandler)` Returns the nodes providing a service
    `ConsulClient` | `catalogServices()` Returns the services registered in a datacenter
    `ConsulClient` | `catalogServices(Handler<AsyncResult<ServiceList>> resultHandler)` Returns the services registered in a datacenter
    `ConsulClient` | `catalogServicesWithOptions(BlockingQueryOptions options)` Returns the services registered in a datacenter This is blocking query unlike `catalogServices(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
    `ConsulClient` | `catalogServicesWithOptions(BlockingQueryOptions options, Handler<AsyncResult<ServiceList>> resultHandler)` Returns the services registered in a datacenter This is blocking query unlike `catalogServices(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
    `ConsulClient` | `cloneAclToken(String id)` Deprecated.
    `ConsulClient` | `cloneAclToken(String accessorId, CloneAclTokenOptions cloneAclToken)` Clones an existing ACL token
    `ConsulClient` | `cloneAclToken(String accessorId, CloneAclTokenOptions cloneAclToken, Handler<AsyncResult<AclToken>> resultHandler)` Clones an existing ACL token
    `ConsulClient` | `cloneAclToken(String id, Handler<AsyncResult<String>> idHandler)` Deprecated.
    `void` | `close()` Close the client and release its resources
    `ConsulClient` | `coordinateDatacenters()` Returns the WAN network coordinates for all Consul servers, organized by DCs
    `ConsulClient` | `coordinateDatacenters(Handler<AsyncResult<List<DcCoordinates>>> resultHandler)` Returns the WAN network coordinates for all Consul servers, organized by DCs
    `ConsulClient` | `coordinateNodes()` Returns the LAN network coordinates for all nodes in a given DC
    `ConsulClient` | `coordinateNodes(Handler<AsyncResult<CoordinateList>> resultHandler)` Returns the LAN network coordinates for all nodes in a given DC
    `ConsulClient` | `coordinateNodesWithOptions(BlockingQueryOptions options)` Returns the LAN network coordinates for all nodes in a given DC This is blocking query unlike `coordinateNodes(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.CoordinateList>>)`
    `ConsulClient` | `coordinateNodesWithOptions(BlockingQueryOptions options, Handler<AsyncResult<CoordinateList>> resultHandler)` Returns the LAN network coordinates for all nodes in a given DC This is blocking query unlike `coordinateNodes(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.CoordinateList>>)`
    `static ConsulClient` | `create(Vertx vertx)` Create a Consul client with default options.
    `static ConsulClient` | `create(Vertx vertx, ConsulClientOptions options)` Create a Consul client.
    `ConsulClient` | `createAclPolicy(AclPolicy policy)` Creates a new ACL policy
    `ConsulClient` | `createAclPolicy(AclPolicy policy, Handler<AsyncResult<String>> resultHandler)` Creates a new ACL policy
    `ConsulClient` | `createAclToken(AclToken token)` Create an Acl token
    `ConsulClient` | `createAclToken(AclToken token)` Deprecated.
    `ConsulClient` | `createAclToken(AclToken token, Handler<AsyncResult<AclToken>> resultHandler)` Create an Acl token
    `ConsulClient` | `createAclToken(AclToken token, Handler<AsyncResult<String>> idHandler)` Deprecated.
    `ConsulClient` | `createPreparedQuery(PreparedQueryDefinition definition)`
    `ConsulClient` | `createPreparedQuery(PreparedQueryDefinition definition, Handler<AsyncResult<String>> resultHandler)`
    `ConsulClient` | `createSession()` Initialize a new session
    `ConsulClient` | `createSession(Handler<AsyncResult<String>> idHandler)` Initialize a new session
    `ConsulClient` | `createSessionWithOptions(SessionOptions options)` Initialize a new session
    `ConsulClient` | `createSessionWithOptions(SessionOptions options, Handler<AsyncResult<String>> idHandler)` Initialize a new session
    `ConsulClient` | `deleteAclToken(String accessorId)` Deletes an ACL token
    `ConsulClient` | `deleteAclToken(String accessorId, Handler<AsyncResult<Boolean>> resultHandler)` Deletes an ACL token
    `ConsulClient` | `deletePolicy(String id, Handler<AsyncResult<Boolean>> resultHandler)` This endpoint deletes an ACL policy
    `ConsulClient` | `deletePreparedQuery(String id)` Deletes an existing prepared query
    `ConsulClient` | `deletePreparedQuery(String id, Handler<AsyncResult<Void>> resultHandler)` Deletes an existing prepared query
    `ConsulClient` | `deleteValue(String key)` Remove the key/value pair that corresponding to the specified key
    `ConsulClient` | `deleteValue(String key, Handler<AsyncResult<Void>> resultHandler)` Remove the key/value pair that corresponding to the specified key
    `ConsulClient` | `deleteValues(String keyPrefix)` Removes all the key/value pair that corresponding to the specified key prefix
    `ConsulClient` | `deleteValues(String keyPrefix, Handler<AsyncResult<Void>> resultHandler)` Removes all the key/value pair that corresponding to the specified key prefix
    `ConsulClient` | `deregisterCatalogService(String nodeId, String serviceId)` Deregister entities from the node or deregister the node itself.
    `ConsulClient` | `deregisterCatalogService(String nodeId, String serviceId, Handler<AsyncResult<Void>> resultHandler)` Deregister entities from the node or deregister the node itself.
    `ConsulClient` | `deregisterCheck(String checkId)` Remove a check from the local agent.
    `ConsulClient` | `deregisterCheck(String checkId, Handler<AsyncResult<Void>> resultHandler)` Remove a check from the local agent.
    `ConsulClient` | `deregisterService(String id)` Remove a service from the local agent.
    `ConsulClient` | `deregisterService(String id, Handler<AsyncResult<Void>> resultHandler)` Remove a service from the local agent.
    `ConsulClient` | `destroyAclToken(String id)` Deprecated.
    `ConsulClient` | `destroyAclToken(String id, Handler<AsyncResult<Void>> resultHandler)` Deprecated.
    `ConsulClient` | `destroySession(String id)` Destroys the given session
    `ConsulClient` | `destroySession(String id, Handler<AsyncResult<Void>> resultHandler)` Destroys the given session
    `boolean` | `equals(Object o)`
    `ConsulClient` | `executePreparedQuery(String query)` Executes an existing prepared query.
    `ConsulClient` | `executePreparedQuery(String query, Handler<AsyncResult<PreparedQueryExecuteResponse>> resultHandler)` Executes an existing prepared query.
    `ConsulClient` | `executePreparedQueryWithOptions(String query, PreparedQueryExecuteOptions options)` Executes an existing prepared query.
    `ConsulClient` | `executePreparedQueryWithOptions(String query, PreparedQueryExecuteOptions options, Handler<AsyncResult<PreparedQueryExecuteResponse>> resultHandler)` Executes an existing prepared query.
    `ConsulClient` | `failCheck(String checkId)` Set status of the check to "critical".
    `ConsulClient` | `failCheck(String checkId, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "critical".
    `ConsulClient` | `failCheckWithNote(String checkId, String note)` Set status of the check to "critical".
    `ConsulClient` | `failCheckWithNote(String checkId, String note, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "critical".
    `ConsulClient` | `fireEvent(String name)` Fires a new user event
    `ConsulClient` | `fireEvent(String name, Handler<AsyncResult<Event>> resultHandler)` Fires a new user event
    `ConsulClient` | `fireEventWithOptions(String name, EventOptions options)` Fires a new user event
    `ConsulClient` | `fireEventWithOptions(String name, EventOptions options, Handler<AsyncResult<Event>> resultHandler)` Fires a new user event
    `ConsulClient` | `getAclPolicies(Handler<AsyncResult<List<AclPolicy>>> resultHandler)` This endpoint lists all the ACL policies.
    `ConsulClient` | `getAclTokens()` Get list of Acl token
    `ConsulClient` | `getAclTokens(Handler<AsyncResult<List<AclToken>>> resultHandler)` Get list of Acl token
    `ConsulClient` | `getAllPreparedQueries()` Returns a list of all prepared queries.
    `ConsulClient` | `getAllPreparedQueries(Handler<AsyncResult<List<PreparedQueryDefinition>>> resultHandler)` Returns a list of all prepared queries.
    `ConsulClient` | `getDelegate()`
    `ConsulClient` | `getKeys(String keyPrefix)` Returns the list of keys that corresponding to the specified key prefix.
    `ConsulClient` | `getKeys(String keyPrefix, Handler<AsyncResult<List<String>>> resultHandler)` Returns the list of keys that corresponding to the specified key prefix.
    `ConsulClient` | `getKeysWithOptions(String keyPrefix, BlockingQueryOptions options)` Returns the list of keys that corresponding to the specified key prefix.
    `ConsulClient` | `getKeysWithOptions(String keyPrefix, BlockingQueryOptions options, Handler<AsyncResult<List<String>>> resultHandler)` Returns the list of keys that corresponding to the specified key prefix.
    `ConsulClient` | `getPreparedQuery(String id)` Returns an existing prepared query
    `ConsulClient` | `getPreparedQuery(String id, Handler<AsyncResult<PreparedQueryDefinition>> resultHandler)` Returns an existing prepared query
    `ConsulClient` | `getValue(String key)` Returns key/value pair that corresponding to the specified key.
    `ConsulClient` | `getValue(String key, Handler<AsyncResult<KeyValue>> resultHandler)` Returns key/value pair that corresponding to the specified key.
    `ConsulClient` | `getValues(String keyPrefix)` Returns the list of key/value pairs that corresponding to the specified key prefix.
    `ConsulClient` | `getValues(String keyPrefix, Handler<AsyncResult<KeyValueList>> resultHandler)` Returns the list of key/value pairs that corresponding to the specified key prefix.
    `ConsulClient` | `getValuesWithOptions(String keyPrefix, BlockingQueryOptions options)` Returns the list of key/value pairs that corresponding to the specified key prefix.
    `ConsulClient` | `getValuesWithOptions(String keyPrefix, BlockingQueryOptions options, Handler<AsyncResult<KeyValueList>> resultHandler)` Returns the list of key/value pairs that corresponding to the specified key prefix.
    `ConsulClient` | `getValueWithOptions(String key, BlockingQueryOptions options)` Returns key/value pair that corresponding to the specified key.
    `ConsulClient` | `getValueWithOptions(String key, BlockingQueryOptions options, Handler<AsyncResult<KeyValue>> resultHandler)` Returns key/value pair that corresponding to the specified key.
    `int` | `hashCode()`
    `ConsulClient` | `healthChecks(String service)` Returns the checks associated with the service
    `ConsulClient` | `healthChecks(String service, Handler<AsyncResult<CheckList>> resultHandler)` Returns the checks associated with the service
    `ConsulClient` | `healthChecksWithOptions(String service, CheckQueryOptions options)` Returns the checks associated with the service
    `ConsulClient` | `healthChecksWithOptions(String service, CheckQueryOptions options, Handler<AsyncResult<CheckList>> resultHandler)` Returns the checks associated with the service
    `ConsulClient` | `healthNodesWithOptions(String node, CheckQueryOptions options)` Returns the checks specific to the node provided on the path.
    `ConsulClient` | `healthNodesWithOptions(String node, CheckQueryOptions options, Handler<AsyncResult<CheckList>> resultHandler)` Returns the checks specific to the node provided on the path.
    `ConsulClient` | `healthServiceNodes(String service, boolean passing)` Returns the nodes providing the service.
    `ConsulClient` | `healthServiceNodes(String service, boolean passing, Handler<AsyncResult<ServiceEntryList>> resultHandler)` Returns the nodes providing the service.
    `ConsulClient` | `healthServiceNodesWithOptions(String service, boolean passing, ServiceQueryOptions options)` Returns the nodes providing the service.
    `ConsulClient` | `healthServiceNodesWithOptions(String service, boolean passing, ServiceQueryOptions options, Handler<AsyncResult<ServiceEntryList>> resultHandler)` Returns the nodes providing the service.
    `ConsulClient` | `healthState(HealthState healthState)` Returns the checks in the specified status
    `ConsulClient` | `healthState(HealthState healthState, Handler<AsyncResult<CheckList>> resultHandler)` Returns the checks in the specified status
    `ConsulClient` | `healthStateWithOptions(HealthState healthState, CheckQueryOptions options)` Returns the checks in the specified status
    `ConsulClient` | `healthStateWithOptions(HealthState healthState, CheckQueryOptions options, Handler<AsyncResult<CheckList>> resultHandler)` Returns the checks in the specified status
    `ConsulClient` | `infoAclToken(String id)` Deprecated.
    `ConsulClient` | `infoAclToken(String id, Handler<AsyncResult<AclToken>> tokenHandler)` Deprecated.
    `ConsulClient` | `infoSession(String id)` Returns the requested session information
    `ConsulClient` | `infoSession(String id, Handler<AsyncResult<Session>> resultHandler)` Returns the requested session information
    `ConsulClient` | `infoSessionWithOptions(String id, BlockingQueryOptions options)` Returns the requested session information This is blocking query unlike `infoSession(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.Session>>)`
    `ConsulClient` | `infoSessionWithOptions(String id, BlockingQueryOptions options, Handler<AsyncResult<Session>> resultHandler)` Returns the requested session information This is blocking query unlike `infoSession(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.Session>>)`
    `ConsulClient` | `leaderStatus()` Get the Raft leader for the datacenter in which the agent is running.
    `ConsulClient` | `leaderStatus(Handler<AsyncResult<String>> resultHandler)` Get the Raft leader for the datacenter in which the agent is running.
    `ConsulClient` | `listAclTokens()` Deprecated.
    `ConsulClient` | `listAclTokens(Handler<AsyncResult<List<AclToken>>> resultHandler)` Deprecated.
    `ConsulClient` | `listEvents()` Returns the most recent events known by the agent
    `ConsulClient` | `listEvents(Handler<AsyncResult<EventList>> resultHandler)` Returns the most recent events known by the agent
    `ConsulClient` | `listEventsWithOptions(EventListOptions options)` Returns the most recent events known by the agent.
    `ConsulClient` | `listEventsWithOptions(EventListOptions options, Handler<AsyncResult<EventList>> resultHandler)` Returns the most recent events known by the agent.
    `ConsulClient` | `listNodeSessions(String nodeId)` Returns the active sessions for a given node
    `ConsulClient` | `listNodeSessions(String nodeId, Handler<AsyncResult<SessionList>> resultHandler)` Returns the active sessions for a given node
    `ConsulClient` | `listNodeSessionsWithOptions(String nodeId, BlockingQueryOptions options)` Returns the active sessions for a given node This is blocking query unlike `listNodeSessions(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
    `ConsulClient` | `listNodeSessionsWithOptions(String nodeId, BlockingQueryOptions options, Handler<AsyncResult<SessionList>> resultHandler)` Returns the active sessions for a given node This is blocking query unlike `listNodeSessions(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
    `ConsulClient` | `listSessions()` Returns the active sessions
    `ConsulClient` | `listSessions(Handler<AsyncResult<SessionList>> resultHandler)` Returns the active sessions
    `ConsulClient` | `listSessionsWithOptions(BlockingQueryOptions options)` Returns the active sessions This is blocking query unlike `listSessions(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
    `ConsulClient` | `listSessionsWithOptions(BlockingQueryOptions options, Handler<AsyncResult<SessionList>> resultHandler)` Returns the active sessions This is blocking query unlike `listSessions(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
    `ConsulClient` | `localChecks()` Return all the checks that are registered with the local agent.
    `ConsulClient` | `localChecks(Handler<AsyncResult<List<Check>>> resultHandler)` Return all the checks that are registered with the local agent.
    `ConsulClient` | `localServices()` Returns list of services registered with the local agent.
    `ConsulClient` | `localServices(Handler<AsyncResult<List<Service>>> resultHandler)` Returns list of services registered with the local agent.
    `ConsulClient` | `maintenanceService(MaintenanceOptions maintenanceOptions)` Places a given service into "maintenance mode"
    `ConsulClient` | `maintenanceService(MaintenanceOptions maintenanceOptions, Handler<AsyncResult<Void>> resultHandler)` Places a given service into "maintenance mode"
    `static ConsulClient` | `newInstance(ConsulClient arg)`
    `ConsulClient` | `passCheck(String checkId)` Set status of the check to "passing".
    `ConsulClient` | `passCheck(String checkId, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "passing".
    `ConsulClient` | `passCheckWithNote(String checkId, String note)` Set status of the check to "passing".
    `ConsulClient` | `passCheckWithNote(String checkId, String note, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "passing".
    `ConsulClient` | `peersStatus()` Retrieves the Raft peers for the datacenter in which the the agent is running.
    `ConsulClient` | `peersStatus(Handler<AsyncResult<List<String>>> resultHandler)` Retrieves the Raft peers for the datacenter in which the the agent is running.
    `ConsulClient` | `putValue(String key, String value)` Adds specified key/value pair
    `ConsulClient` | `putValue(String key, String value, Handler<AsyncResult<Boolean>> resultHandler)` Adds specified key/value pair
    `ConsulClient` | `putValueWithOptions(String key, String value, KeyValueOptions options)`
    `ConsulClient` | `putValueWithOptions(String key, String value, KeyValueOptions options, Handler<AsyncResult<Boolean>> resultHandler)`
    `ConsulClient` | `readAclToken(String accessorId)` Reads an ACL token with the given Accessor ID
    `ConsulClient` | `readAclToken(String accessorId, Handler<AsyncResult<AclToken>> resultHandler)` Reads an ACL token with the given Accessor ID
    `ConsulClient` | `readPolicy(String id)` This endpoint reads an ACL policy with the given ID
    `ConsulClient` | `readPolicy(String id, Handler<AsyncResult<AclPolicy>> resultHandler)` This endpoint reads an ACL policy with the given ID
    `ConsulClient` | `readPolicyByName(String name)` This endpoint reads an ACL policy with the given name
    `ConsulClient` | `readPolicyByName(String name, Handler<AsyncResult<AclPolicy>> resultHandler)` This endpoint reads an ACL policy with the given name
    `ConsulClient` | `registerCatalogService(Node nodeOptions, ServiceOptions serviceOptions)` Register node with external service
    `ConsulClient` | `registerCatalogService(Node nodeOptions, ServiceOptions serviceOptions, Handler<AsyncResult<Void>> resultHandler)` Register node with external service
    `ConsulClient` | `registerCheck(CheckOptions checkOptions)` Add a new check to the local agent.
    `ConsulClient` | `registerCheck(CheckOptions checkOptions, Handler<AsyncResult<Void>> resultHandler)` Add a new check to the local agent.
    `ConsulClient` | `registerService(ServiceOptions serviceOptions)` Adds a new service, with an optional health check, to the local agent.
    `ConsulClient` | `registerService(ServiceOptions serviceOptions, Handler<AsyncResult<Void>> resultHandler)` Adds a new service, with an optional health check, to the local agent.
    `ConsulClient` | `renewSession(String id)` Renews the given session.
    `ConsulClient` | `renewSession(String id, Handler<AsyncResult<Session>> resultHandler)` Renews the given session.
    `Single<JsonObject>` | `rxAgentInfo()` Returns the configuration and member information of the local agent
    `Single<List<String>>` | `rxCatalogDatacenters()` Return all the datacenters that are known by the Consul server
    `Single<NodeList>` | `rxCatalogNodes()` Returns the nodes registered in a datacenter
    `Single<ServiceList>` | `rxCatalogNodeServices(String node)` Returns the node's registered services
    `Single<ServiceList>` | `rxCatalogNodeServicesWithOptions(String node, BlockingQueryOptions options)` Returns the node's registered services This is blocking query unlike `catalogNodeServices(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
    `Single<NodeList>` | `rxCatalogNodesWithOptions(NodeQueryOptions options)` Returns the nodes registered in a datacenter
    `Single<ServiceList>` | `rxCatalogServiceNodes(String service)` Returns the nodes providing a service
    `Single<ServiceList>` | `rxCatalogServiceNodesWithOptions(String service, ServiceQueryOptions options)` Returns the nodes providing a service
    `Single<ServiceList>` | `rxCatalogServices()` Returns the services registered in a datacenter
    `Single<ServiceList>` | `rxCatalogServicesWithOptions(BlockingQueryOptions options)` Returns the services registered in a datacenter This is blocking query unlike `catalogServices(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
    `Single<String>` | `rxCloneAclToken(String id)` Deprecated.
    `Single<AclToken>` | `rxCloneAclToken(String accessorId, CloneAclTokenOptions cloneAclToken)` Clones an existing ACL token
    `Single<List<DcCoordinates>>` | `rxCoordinateDatacenters()` Returns the WAN network coordinates for all Consul servers, organized by DCs
    `Single<CoordinateList>` | `rxCoordinateNodes()` Returns the LAN network coordinates for all nodes in a given DC
    `Single<CoordinateList>` | `rxCoordinateNodesWithOptions(BlockingQueryOptions options)` Returns the LAN network coordinates for all nodes in a given DC This is blocking query unlike `coordinateNodes(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.CoordinateList>>)`
    `Single<String>` | `rxCreateAclPolicy(AclPolicy policy)` Creates a new ACL policy
    `Single<AclToken>` | `rxCreateAclToken(AclToken token)` Create an Acl token
    `Single<String>` | `rxCreateAclToken(AclToken token)` Deprecated.
    `Single<String>` | `rxCreatePreparedQuery(PreparedQueryDefinition definition)`
    `Single<String>` | `rxCreateSession()` Initialize a new session
    `Single<String>` | `rxCreateSessionWithOptions(SessionOptions options)` Initialize a new session
    `Single<Boolean>` | `rxDeleteAclToken(String accessorId)` Deletes an ACL token
    `Single<Void>` | `rxDeletePreparedQuery(String id)` Deletes an existing prepared query
    `Single<Void>` | `rxDeleteValue(String key)` Remove the key/value pair that corresponding to the specified key
    `Single<Void>` | `rxDeleteValues(String keyPrefix)` Removes all the key/value pair that corresponding to the specified key prefix
    `Single<Void>` | `rxDeregisterCatalogService(String nodeId, String serviceId)` Deregister entities from the node or deregister the node itself.
    `Single<Void>` | `rxDeregisterCheck(String checkId)` Remove a check from the local agent.
    `Single<Void>` | `rxDeregisterService(String id)` Remove a service from the local agent.
    `Single<Void>` | `rxDestroyAclToken(String id)` Deprecated.
    `Single<Void>` | `rxDestroySession(String id)` Destroys the given session
    `Single<PreparedQueryExecuteResponse>` | `rxExecutePreparedQuery(String query)` Executes an existing prepared query.
    `Single<PreparedQueryExecuteResponse>` | `rxExecutePreparedQueryWithOptions(String query, PreparedQueryExecuteOptions options)` Executes an existing prepared query.
    `Single<Void>` | `rxFailCheck(String checkId)` Set status of the check to "critical".
    `Single<Void>` | `rxFailCheckWithNote(String checkId, String note)` Set status of the check to "critical".
    `Single<Event>` | `rxFireEvent(String name)` Fires a new user event
    `Single<Event>` | `rxFireEventWithOptions(String name, EventOptions options)` Fires a new user event
    `Single<List<AclToken>>` | `rxGetAclTokens()` Get list of Acl token
    `Single<List<PreparedQueryDefinition>>` | `rxGetAllPreparedQueries()` Returns a list of all prepared queries.
    `Single<List<String>>` | `rxGetKeys(String keyPrefix)` Returns the list of keys that corresponding to the specified key prefix.
    `Single<List<String>>` | `rxGetKeysWithOptions(String keyPrefix, BlockingQueryOptions options)` Returns the list of keys that corresponding to the specified key prefix.
    `Single<PreparedQueryDefinition>` | `rxGetPreparedQuery(String id)` Returns an existing prepared query
    `Single<KeyValue>` | `rxGetValue(String key)` Returns key/value pair that corresponding to the specified key.
    `Single<KeyValueList>` | `rxGetValues(String keyPrefix)` Returns the list of key/value pairs that corresponding to the specified key prefix.
    `Single<KeyValueList>` | `rxGetValuesWithOptions(String keyPrefix, BlockingQueryOptions options)` Returns the list of key/value pairs that corresponding to the specified key prefix.
    `Single<KeyValue>` | `rxGetValueWithOptions(String key, BlockingQueryOptions options)` Returns key/value pair that corresponding to the specified key.
    `Single<CheckList>` | `rxHealthChecks(String service)` Returns the checks associated with the service
    `Single<CheckList>` | `rxHealthChecksWithOptions(String service, CheckQueryOptions options)` Returns the checks associated with the service
    `Single<CheckList>` | `rxHealthNodesWithOptions(String node, CheckQueryOptions options)` Returns the checks specific to the node provided on the path.
    `Single<ServiceEntryList>` | `rxHealthServiceNodes(String service, boolean passing)` Returns the nodes providing the service.
    `Single<ServiceEntryList>` | `rxHealthServiceNodesWithOptions(String service, boolean passing, ServiceQueryOptions options)` Returns the nodes providing the service.
    `Single<CheckList>` | `rxHealthState(HealthState healthState)` Returns the checks in the specified status
    `Single<CheckList>` | `rxHealthStateWithOptions(HealthState healthState, CheckQueryOptions options)` Returns the checks in the specified status
    `Single<AclToken>` | `rxInfoAclToken(String id)` Deprecated.
    `Single<Session>` | `rxInfoSession(String id)` Returns the requested session information
    `Single<Session>` | `rxInfoSessionWithOptions(String id, BlockingQueryOptions options)` Returns the requested session information This is blocking query unlike `infoSession(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.Session>>)`
    `Single<String>` | `rxLeaderStatus()` Get the Raft leader for the datacenter in which the agent is running.
    `Single<List<AclToken>>` | `rxListAclTokens()` Deprecated.
    `Single<EventList>` | `rxListEvents()` Returns the most recent events known by the agent
    `Single<EventList>` | `rxListEventsWithOptions(EventListOptions options)` Returns the most recent events known by the agent.
    `Single<SessionList>` | `rxListNodeSessions(String nodeId)` Returns the active sessions for a given node
    `Single<SessionList>` | `rxListNodeSessionsWithOptions(String nodeId, BlockingQueryOptions options)` Returns the active sessions for a given node This is blocking query unlike `listNodeSessions(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
    `Single<SessionList>` | `rxListSessions()` Returns the active sessions
    `Single<SessionList>` | `rxListSessionsWithOptions(BlockingQueryOptions options)` Returns the active sessions This is blocking query unlike `listSessions(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
    `Single<List<Check>>` | `rxLocalChecks()` Return all the checks that are registered with the local agent.
    `Single<List<Service>>` | `rxLocalServices()` Returns list of services registered with the local agent.
    `Single<Void>` | `rxMaintenanceService(MaintenanceOptions maintenanceOptions)` Places a given service into "maintenance mode"
    `Single<Void>` | `rxPassCheck(String checkId)` Set status of the check to "passing".
    `Single<Void>` | `rxPassCheckWithNote(String checkId, String note)` Set status of the check to "passing".
    `Single<List<String>>` | `rxPeersStatus()` Retrieves the Raft peers for the datacenter in which the the agent is running.
    `Single<Boolean>` | `rxPutValue(String key, String value)` Adds specified key/value pair
    `Single<Boolean>` | `rxPutValueWithOptions(String key, String value, KeyValueOptions options)`
    `Single<AclToken>` | `rxReadAclToken(String accessorId)` Reads an ACL token with the given Accessor ID
    `Single<AclPolicy>` | `rxReadPolicy(String id)` This endpoint reads an ACL policy with the given ID
    `Single<AclPolicy>` | `rxReadPolicyByName(String name)` This endpoint reads an ACL policy with the given name
    `Single<Void>` | `rxRegisterCatalogService(Node nodeOptions, ServiceOptions serviceOptions)` Register node with external service
    `Single<Void>` | `rxRegisterCheck(CheckOptions checkOptions)` Add a new check to the local agent.
    `Single<Void>` | `rxRegisterService(ServiceOptions serviceOptions)` Adds a new service, with an optional health check, to the local agent.
    `Single<Session>` | `rxRenewSession(String id)` Renews the given session.
    `Single<TxnResponse>` | `rxTransaction(TxnRequest request)` Manages multiple operations inside a single, atomic transaction.
    `Single<String>` | `rxUpdateAclToken(AclToken token)` Deprecated.
    `Single<AclToken>` | `rxUpdateAclToken(String accessorId, AclToken token)` Update an existing Acl token
    `Single<Void>` | `rxUpdateCheck(String checkId, CheckStatus status)` Set status of the check to given status.
    `Single<Void>` | `rxUpdateCheckWithNote(String checkId, CheckStatus status, String note)` Set status of the check to given status.
    `Single<AclPolicy>` | `rxUpdatePolicy(String id, AclPolicy policy)` This endpoint updates an existing ACL policy
    `Single<Void>` | `rxUpdatePreparedQuery(PreparedQueryDefinition definition)`
    `Single<Void>` | `rxWarnCheck(String checkId)` Set status of the check to "warning".
    `Single<Void>` | `rxWarnCheckWithNote(String checkId, String note)` Set status of the check to "warning".
    `String` | `toString()`
    `ConsulClient` | `transaction(TxnRequest request)` Manages multiple operations inside a single, atomic transaction.
    `ConsulClient` | `transaction(TxnRequest request, Handler<AsyncResult<TxnResponse>> resultHandler)` Manages multiple operations inside a single, atomic transaction.
    `ConsulClient` | `updateAclToken(AclToken token)` Deprecated.
    `ConsulClient` | `updateAclToken(AclToken token, Handler<AsyncResult<String>> idHandler)` Deprecated.
    `ConsulClient` | `updateAclToken(String accessorId, AclToken token)` Update an existing Acl token
    `ConsulClient` | `updateAclToken(String accessorId, AclToken token, Handler<AsyncResult<AclToken>> resultHandler)` Update an existing Acl token
    `ConsulClient` | `updateCheck(String checkId, CheckStatus status)` Set status of the check to given status.
    `ConsulClient` | `updateCheck(String checkId, CheckStatus status, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to given status.
    `ConsulClient` | `updateCheckWithNote(String checkId, CheckStatus status, String note)` Set status of the check to given status.
    `ConsulClient` | `updateCheckWithNote(String checkId, CheckStatus status, String note, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to given status.
    `ConsulClient` | `updatePolicy(String id, AclPolicy policy)` This endpoint updates an existing ACL policy
    `ConsulClient` | `updatePolicy(String id, AclPolicy policy, Handler<AsyncResult<AclPolicy>> resultHandler)` This endpoint updates an existing ACL policy
    `ConsulClient` | `updatePreparedQuery(PreparedQueryDefinition definition)`
    `ConsulClient` | `updatePreparedQuery(PreparedQueryDefinition definition, Handler<AsyncResult<Void>> resultHandler)`
    `ConsulClient` | `warnCheck(String checkId)` Set status of the check to "warning".
    `ConsulClient` | `warnCheck(String checkId, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "warning".
    `ConsulClient` | `warnCheckWithNote(String checkId, String note)` Set status of the check to "warning".
    `ConsulClient` | `warnCheckWithNote(String checkId, String note, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "warning".

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ConsulClient> __TYPE_ARG

  - ### Constructor Detail

    - #### ConsulClient

          public ConsulClient(ConsulClient delegate)

    - #### ConsulClient

          public ConsulClient(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ConsulClient getDelegate()

    - #### create

          public static ConsulClient create(Vertx vertx)

      Create a Consul client with default options.
      Parameters:
        `vertx` - the Vert.x instance
      Returns:
        the client

    - #### create

          public static ConsulClient create(Vertx vertx,
                                            ConsulClientOptions options)

      Create a Consul client.
      Parameters:
        `vertx` - the Vert.x instance
        `options` - the options
      Returns:
        the client

    - #### agentInfo

          public ConsulClient agentInfo(Handler<AsyncResult<JsonObject>> resultHandler)

      Returns the configuration and member information of the local agent
      Parameters:
        `resultHandler` - will be provided with the configuration and member information of the local agent
      Returns:
        reference to this, for fluency

    - #### agentInfo

          public ConsulClient agentInfo()

      Returns the configuration and member information of the local agent
      Returns:
        reference to this, for fluency

    - #### rxAgentInfo

          public Single<JsonObject> rxAgentInfo()

      Returns the configuration and member information of the local agent
      Returns:
        reference to this, for fluency

    - #### coordinateNodes

          public ConsulClient coordinateNodes(Handler<AsyncResult<CoordinateList>> resultHandler)

      Returns the LAN network coordinates for all nodes in a given DC
      Parameters:
        `resultHandler` - will be provided with network coordinates of nodes in datacenter
      Returns:
        reference to this, for fluency

    - #### coordinateNodes

          public ConsulClient coordinateNodes()

      Returns the LAN network coordinates for all nodes in a given DC
      Returns:
        reference to this, for fluency

    - #### rxCoordinateNodes

          public Single<CoordinateList> rxCoordinateNodes()

      Returns the LAN network coordinates for all nodes in a given DC
      Returns:
        reference to this, for fluency

    - #### coordinateNodesWithOptions

          public ConsulClient coordinateNodesWithOptions(BlockingQueryOptions options,
                                                         Handler<AsyncResult<CoordinateList>> resultHandler)

      Returns the LAN network coordinates for all nodes in a given DC This is blocking query unlike `coordinateNodes(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.CoordinateList>>)`
      Parameters:
        `options` - the blocking options
        `resultHandler` - will be provided with network coordinates of nodes in datacenter
      Returns:
        reference to this, for fluency

    - #### coordinateNodesWithOptions

          public ConsulClient coordinateNodesWithOptions(BlockingQueryOptions options)

      Returns the LAN network coordinates for all nodes in a given DC This is blocking query unlike `coordinateNodes(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.CoordinateList>>)`
      Parameters:
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### rxCoordinateNodesWithOptions

          public Single<CoordinateList> rxCoordinateNodesWithOptions(BlockingQueryOptions options)

      Returns the LAN network coordinates for all nodes in a given DC This is blocking query unlike `coordinateNodes(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.CoordinateList>>)`
      Parameters:
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### coordinateDatacenters

          public ConsulClient coordinateDatacenters(Handler<AsyncResult<List<DcCoordinates>>> resultHandler)

      Returns the WAN network coordinates for all Consul servers, organized by DCs
      Parameters:
        `resultHandler` - will be provided with network coordinates for all Consul servers
      Returns:
        reference to this, for fluency

    - #### coordinateDatacenters

          public ConsulClient coordinateDatacenters()

      Returns the WAN network coordinates for all Consul servers, organized by DCs
      Returns:
        reference to this, for fluency

    - #### rxCoordinateDatacenters

          public Single<List<DcCoordinates>> rxCoordinateDatacenters()

      Returns the WAN network coordinates for all Consul servers, organized by DCs
      Returns:
        reference to this, for fluency

    - #### getKeys

          public ConsulClient getKeys(String keyPrefix,
                                      Handler<AsyncResult<List<String>>> resultHandler)

      Returns the list of keys that corresponding to the specified key prefix.
      Parameters:
        `keyPrefix` - the prefix
        `resultHandler` - will be provided with keys list
      Returns:
        reference to this, for fluency

    - #### getKeys

          public ConsulClient getKeys(String keyPrefix)

      Returns the list of keys that corresponding to the specified key prefix.
      Parameters:
        `keyPrefix` - the prefix
      Returns:
        reference to this, for fluency

    - #### rxGetKeys

          public Single<List<String>> rxGetKeys(String keyPrefix)

      Returns the list of keys that corresponding to the specified key prefix.
      Parameters:
        `keyPrefix` - the prefix
      Returns:
        reference to this, for fluency

    - #### getKeysWithOptions

          public ConsulClient getKeysWithOptions(String keyPrefix,
                                                 BlockingQueryOptions options,
                                                 Handler<AsyncResult<List<String>>> resultHandler)

      Returns the list of keys that corresponding to the specified key prefix.
      Parameters:
        `keyPrefix` - the prefix
        `options` - the blocking options
        `resultHandler` - will be provided with keys list
      Returns:
        reference to this, for fluency

    - #### getKeysWithOptions

          public ConsulClient getKeysWithOptions(String keyPrefix,
                                                 BlockingQueryOptions options)

      Returns the list of keys that corresponding to the specified key prefix.
      Parameters:
        `keyPrefix` - the prefix
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### rxGetKeysWithOptions

          public Single<List<String>> rxGetKeysWithOptions(String keyPrefix,
                                                           BlockingQueryOptions options)

      Returns the list of keys that corresponding to the specified key prefix.
      Parameters:
        `keyPrefix` - the prefix
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### getValue

          public ConsulClient getValue(String key,
                                       Handler<AsyncResult<KeyValue>> resultHandler)

      Returns key/value pair that corresponding to the specified key. An empty `KeyValue` object will be returned if no such key is found.
      Parameters:
        `key` - the key
        `resultHandler` - will be provided with key/value pair
      Returns:
        reference to this, for fluency

    - #### getValue

          public ConsulClient getValue(String key)

      Returns key/value pair that corresponding to the specified key. An empty `KeyValue` object will be returned if no such key is found.
      Parameters:
        `key` - the key
      Returns:
        reference to this, for fluency

    - #### rxGetValue

          public Single<KeyValue> rxGetValue(String key)

      Returns key/value pair that corresponding to the specified key. An empty `KeyValue` object will be returned if no such key is found.
      Parameters:
        `key` - the key
      Returns:
        reference to this, for fluency

    - #### getValueWithOptions

          public ConsulClient getValueWithOptions(String key,
                                                  BlockingQueryOptions options,
                                                  Handler<AsyncResult<KeyValue>> resultHandler)

      Returns key/value pair that corresponding to the specified key. An empty `KeyValue` object will be returned if no such key is found. This is blocking query unlike `getValue(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.KeyValue>>)`
      Parameters:
        `key` - the key
        `options` - the blocking options
        `resultHandler` - will be provided with key/value pair
      Returns:
        reference to this, for fluency

    - #### getValueWithOptions

          public ConsulClient getValueWithOptions(String key,
                                                  BlockingQueryOptions options)

      Returns key/value pair that corresponding to the specified key. An empty `KeyValue` object will be returned if no such key is found. This is blocking query unlike `getValue(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.KeyValue>>)`
      Parameters:
        `key` - the key
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### rxGetValueWithOptions

          public Single<KeyValue> rxGetValueWithOptions(String key,
                                                        BlockingQueryOptions options)

      Returns key/value pair that corresponding to the specified key. An empty `KeyValue` object will be returned if no such key is found. This is blocking query unlike `getValue(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.KeyValue>>)`
      Parameters:
        `key` - the key
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### deleteValue

          public ConsulClient deleteValue(String key,
                                          Handler<AsyncResult<Void>> resultHandler)

      Remove the key/value pair that corresponding to the specified key
      Parameters:
        `key` - the key
        `resultHandler` - will be called on complete
      Returns:
        reference to this, for fluency

    - #### deleteValue

          public ConsulClient deleteValue(String key)

      Remove the key/value pair that corresponding to the specified key
      Parameters:
        `key` - the key
      Returns:
        reference to this, for fluency

    - #### rxDeleteValue

          public Single<Void> rxDeleteValue(String key)

      Remove the key/value pair that corresponding to the specified key
      Parameters:
        `key` - the key
      Returns:
        reference to this, for fluency

    - #### getValues

          public ConsulClient getValues(String keyPrefix,
                                        Handler<AsyncResult<KeyValueList>> resultHandler)

      Returns the list of key/value pairs that corresponding to the specified key prefix. An empty `KeyValueList` object will be returned if no such key prefix is found.
      Parameters:
        `keyPrefix` - the prefix
        `resultHandler` - will be provided with list of key/value pairs
      Returns:
        reference to this, for fluency

    - #### getValues

          public ConsulClient getValues(String keyPrefix)

      Returns the list of key/value pairs that corresponding to the specified key prefix. An empty `KeyValueList` object will be returned if no such key prefix is found.
      Parameters:
        `keyPrefix` - the prefix
      Returns:
        reference to this, for fluency

    - #### rxGetValues

          public Single<KeyValueList> rxGetValues(String keyPrefix)

      Returns the list of key/value pairs that corresponding to the specified key prefix. An empty `KeyValueList` object will be returned if no such key prefix is found.
      Parameters:
        `keyPrefix` - the prefix
      Returns:
        reference to this, for fluency

    - #### getValuesWithOptions

          public ConsulClient getValuesWithOptions(String keyPrefix,
                                                   BlockingQueryOptions options,
                                                   Handler<AsyncResult<KeyValueList>> resultHandler)

      Returns the list of key/value pairs that corresponding to the specified key prefix. An empty `KeyValueList` object will be returned if no such key prefix is found. This is blocking query unlike `getValues(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.KeyValueList>>)`
      Parameters:
        `keyPrefix` - the prefix
        `options` - the blocking options
        `resultHandler` - will be provided with list of key/value pairs
      Returns:
        reference to this, for fluency

    - #### getValuesWithOptions

          public ConsulClient getValuesWithOptions(String keyPrefix,
                                                   BlockingQueryOptions options)

      Returns the list of key/value pairs that corresponding to the specified key prefix. An empty `KeyValueList` object will be returned if no such key prefix is found. This is blocking query unlike `getValues(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.KeyValueList>>)`
      Parameters:
        `keyPrefix` - the prefix
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### rxGetValuesWithOptions

          public Single<KeyValueList> rxGetValuesWithOptions(String keyPrefix,
                                                             BlockingQueryOptions options)

      Returns the list of key/value pairs that corresponding to the specified key prefix. An empty `KeyValueList` object will be returned if no such key prefix is found. This is blocking query unlike `getValues(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.KeyValueList>>)`
      Parameters:
        `keyPrefix` - the prefix
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### deleteValues

          public ConsulClient deleteValues(String keyPrefix,
                                           Handler<AsyncResult<Void>> resultHandler)

      Removes all the key/value pair that corresponding to the specified key prefix
      Parameters:
        `keyPrefix` - the prefix
        `resultHandler` - will be called on complete
      Returns:
        reference to this, for fluency

    - #### deleteValues

          public ConsulClient deleteValues(String keyPrefix)

      Removes all the key/value pair that corresponding to the specified key prefix
      Parameters:
        `keyPrefix` - the prefix
      Returns:
        reference to this, for fluency

    - #### rxDeleteValues

          public Single<Void> rxDeleteValues(String keyPrefix)

      Removes all the key/value pair that corresponding to the specified key prefix
      Parameters:
        `keyPrefix` - the prefix
      Returns:
        reference to this, for fluency

    - #### putValue

          public ConsulClient putValue(String key,
                                       String value,
                                       Handler<AsyncResult<Boolean>> resultHandler)

      Adds specified key/value pair
      Parameters:
        `key` - the key
        `value` - the value
        `resultHandler` - will be provided with success of operation
      Returns:
        reference to this, for fluency

    - #### putValue

          public ConsulClient putValue(String key,
                                       String value)

      Adds specified key/value pair
      Parameters:
        `key` - the key
        `value` - the value
      Returns:
        reference to this, for fluency

    - #### rxPutValue

          public Single<Boolean> rxPutValue(String key,
                                            String value)

      Adds specified key/value pair
      Parameters:
        `key` - the key
        `value` - the value
      Returns:
        reference to this, for fluency

    - #### putValueWithOptions

          public ConsulClient putValueWithOptions(String key,
                                                  String value,
                                                  KeyValueOptions options,
                                                  Handler<AsyncResult<Boolean>> resultHandler)

      Parameters:
        `key` - the key
        `value` - the value
        `options` - options used to push pair
        `resultHandler` - will be provided with success of operation
      Returns:
        reference to this, for fluency

    - #### putValueWithOptions

          public ConsulClient putValueWithOptions(String key,
                                                  String value,
                                                  KeyValueOptions options)

      Parameters:
        `key` - the key
        `value` - the value
        `options` - options used to push pair
      Returns:
        reference to this, for fluency

    - #### rxPutValueWithOptions

          public Single<Boolean> rxPutValueWithOptions(String key,
                                                       String value,
                                                       KeyValueOptions options)

      Parameters:
        `key` - the key
        `value` - the value
        `options` - options used to push pair
      Returns:
        reference to this, for fluency

    - #### transaction

          public ConsulClient transaction(TxnRequest request,
                                          Handler<AsyncResult<TxnResponse>> resultHandler)

      Manages multiple operations inside a single, atomic transaction.
      Parameters:
        `request` - transaction request
        `resultHandler` - will be provided with result of transaction
      Returns:
        reference to this, for fluency

    - #### transaction

          public ConsulClient transaction(TxnRequest request)

      Manages multiple operations inside a single, atomic transaction.
      Parameters:
        `request` - transaction request
      Returns:
        reference to this, for fluency

    - #### rxTransaction

          public Single<TxnResponse> rxTransaction(TxnRequest request)

      Manages multiple operations inside a single, atomic transaction.
      Parameters:
        `request` - transaction request
      Returns:
        reference to this, for fluency

    - #### createAclPolicy

          public ConsulClient createAclPolicy(AclPolicy policy,
                                              Handler<AsyncResult<String>> resultHandler)

      Creates a new ACL policy
      Parameters:
        `policy` - properties of policy
        `resultHandler` - will be provided with result of policy
      Returns:
        reference to this, for fluency

    - #### createAclPolicy

          public ConsulClient createAclPolicy(AclPolicy policy)

      Creates a new ACL policy
      Parameters:
        `policy` - properties of policy
      Returns:
        reference to this, for fluency

    - #### rxCreateAclPolicy

          public Single<String> rxCreateAclPolicy(AclPolicy policy)

      Creates a new ACL policy
      Parameters:
        `policy` - properties of policy
      Returns:
        reference to this, for fluency

    - #### readPolicy

          public ConsulClient readPolicy(String id,
                                         Handler<AsyncResult<AclPolicy>> resultHandler)

      This endpoint reads an ACL policy with the given ID
      Parameters:
        `id` - uuid policy
        `resultHandler` - will be provided with result of policy
      Returns:
        a reference to this, for fluency

    - #### readPolicy

          public ConsulClient readPolicy(String id)

      This endpoint reads an ACL policy with the given ID
      Parameters:
        `id` - uuid policy
      Returns:
        a reference to this, for fluency

    - #### rxReadPolicy

          public Single<AclPolicy> rxReadPolicy(String id)

      This endpoint reads an ACL policy with the given ID
      Parameters:
        `id` - uuid policy
      Returns:
        a reference to this, for fluency

    - #### readPolicyByName

          public ConsulClient readPolicyByName(String name,
                                               Handler<AsyncResult<AclPolicy>> resultHandler)

      This endpoint reads an ACL policy with the given name
      Parameters:
        `name` - unique name of created policy
        `resultHandler` - will be provided with result of policy
      Returns:
        a reference to this, for fluency

    - #### readPolicyByName

          public ConsulClient readPolicyByName(String name)

      This endpoint reads an ACL policy with the given name
      Parameters:
        `name` - unique name of created policy
      Returns:
        a reference to this, for fluency

    - #### rxReadPolicyByName

          public Single<AclPolicy> rxReadPolicyByName(String name)

      This endpoint reads an ACL policy with the given name
      Parameters:
        `name` - unique name of created policy
      Returns:
        a reference to this, for fluency

    - #### updatePolicy

          public ConsulClient updatePolicy(String id,
                                           AclPolicy policy,
                                           Handler<AsyncResult<AclPolicy>> resultHandler)

      This endpoint updates an existing ACL policy
      Parameters:
        `id` - uuid of existing policy
        `policy` - options that will be applied to the existing policy
        `resultHandler` - will be provided with result of policy
      Returns:
        a reference to this, for fluency

    - #### updatePolicy

          public ConsulClient updatePolicy(String id,
                                           AclPolicy policy)

      This endpoint updates an existing ACL policy
      Parameters:
        `id` - uuid of existing policy
        `policy` - options that will be applied to the existing policy
      Returns:
        a reference to this, for fluency

    - #### rxUpdatePolicy

          public Single<AclPolicy> rxUpdatePolicy(String id,
                                                  AclPolicy policy)

      This endpoint updates an existing ACL policy
      Parameters:
        `id` - uuid of existing policy
        `policy` - options that will be applied to the existing policy
      Returns:
        a reference to this, for fluency

    - #### deletePolicy

          public ConsulClient deletePolicy(String id,
                                           Handler<AsyncResult<Boolean>> resultHandler)

      This endpoint deletes an ACL policy
      Parameters:
        `id` - uuid of existing policy
        `resultHandler` - will be provided with result of policy deleting
      Returns:
        a reference to this, for fluency

    - #### getAclPolicies

          public ConsulClient getAclPolicies(Handler<AsyncResult<List<AclPolicy>>> resultHandler)

      This endpoint lists all the ACL policies. Note - The policies rules are not included in the listing and must be retrieved by the policy reading endpoint
      Parameters:
        `resultHandler` - will be provided with result of policy deleting
      Returns:
        a reference to this, for fluency

    - #### createAclToken

          public ConsulClient createAclToken(AclToken token,
                                             Handler<AsyncResult<AclToken>> resultHandler)

      Create an Acl token
      Parameters:
        `token` - properties of the token
        `resultHandler` - will be provided with result of token
      Returns:
        reference to this, for fluency `AclToken` accessorId - required in the URL path or JSON body for getting, updating and cloning token. `AclToken` secretId - using in `ConsulClientOptions`.

    - #### createAclToken

          public ConsulClient createAclToken(AclToken token)

      Create an Acl token
      Parameters:
        `token` - properties of the token
      Returns:
        reference to this, for fluency `AclToken` accessorId - required in the URL path or JSON body for getting, updating and cloning token. `AclToken` secretId - using in `ConsulClientOptions`.

    - #### rxCreateAclToken

          public Single<AclToken> rxCreateAclToken(AclToken token)

      Create an Acl token
      Parameters:
        `token` - properties of the token
      Returns:
        reference to this, for fluency `AclToken` accessorId - required in the URL path or JSON body for getting, updating and cloning token. `AclToken` secretId - using in `ConsulClientOptions`.

    - #### updateAclToken

          public ConsulClient updateAclToken(String accessorId,
                                             AclToken token,
                                             Handler<AsyncResult<AclToken>> resultHandler)

      Update an existing Acl token
      Parameters:
        `accessorId` - uuid of the token
        `token` - properties of the token
        `resultHandler` - will be provided with result of token
      Returns:
        reference to this, for fluency

    - #### updateAclToken

          public ConsulClient updateAclToken(String accessorId,
                                             AclToken token)

      Update an existing Acl token
      Parameters:
        `accessorId` - uuid of the token
        `token` - properties of the token
      Returns:
        reference to this, for fluency

    - #### rxUpdateAclToken

          public Single<AclToken> rxUpdateAclToken(String accessorId,
                                                   AclToken token)

      Update an existing Acl token
      Parameters:
        `accessorId` - uuid of the token
        `token` - properties of the token
      Returns:
        reference to this, for fluency

    - #### cloneAclToken

          public ConsulClient cloneAclToken(String accessorId,
                                            CloneAclTokenOptions cloneAclToken,
                                            Handler<AsyncResult<AclToken>> resultHandler)

      Clones an existing ACL token
      Parameters:
        `accessorId` - uuid of the token
        `cloneAclToken` - properties of cloned token
        `resultHandler` - will be provided with result of token
      Returns:
        reference to this, for fluency

    - #### cloneAclToken

          public ConsulClient cloneAclToken(String accessorId,
                                            CloneAclTokenOptions cloneAclToken)

      Clones an existing ACL token
      Parameters:
        `accessorId` - uuid of the token
        `cloneAclToken` - properties of cloned token
      Returns:
        reference to this, for fluency

    - #### rxCloneAclToken

          public Single<AclToken> rxCloneAclToken(String accessorId,
                                                  CloneAclTokenOptions cloneAclToken)

      Clones an existing ACL token
      Parameters:
        `accessorId` - uuid of the token
        `cloneAclToken` - properties of cloned token
      Returns:
        reference to this, for fluency

    - #### getAclTokens

          public ConsulClient getAclTokens(Handler<AsyncResult<List<AclToken>>> resultHandler)

      Get list of Acl token
      Parameters:
        `resultHandler` - will be provided with result of tokens
      Returns:
        reference to this, for fluency

    - #### getAclTokens

          public ConsulClient getAclTokens()

      Get list of Acl token
      Returns:
        reference to this, for fluency

    - #### rxGetAclTokens

          public Single<List<AclToken>> rxGetAclTokens()

      Get list of Acl token
      Returns:
        reference to this, for fluency

    - #### readAclToken

          public ConsulClient readAclToken(String accessorId,
                                           Handler<AsyncResult<AclToken>> resultHandler)

      Reads an ACL token with the given Accessor ID
      Parameters:
        `accessorId` - uuid of token
        `resultHandler` - will be provided with result of token
      Returns:
        reference to this, for fluency

    - #### readAclToken

          public ConsulClient readAclToken(String accessorId)

      Reads an ACL token with the given Accessor ID
      Parameters:
        `accessorId` - uuid of token
      Returns:
        reference to this, for fluency

    - #### rxReadAclToken

          public Single<AclToken> rxReadAclToken(String accessorId)

      Reads an ACL token with the given Accessor ID
      Parameters:
        `accessorId` - uuid of token
      Returns:
        reference to this, for fluency

    - #### deleteAclToken

          public ConsulClient deleteAclToken(String accessorId,
                                             Handler<AsyncResult<Boolean>> resultHandler)

      Deletes an ACL token
      Parameters:
        `accessorId` - uuid of token
        `resultHandler` - will be provided with result of token deleting
      Returns:
        reference to this, for fluency

    - #### deleteAclToken

          public ConsulClient deleteAclToken(String accessorId)

      Deletes an ACL token
      Parameters:
        `accessorId` - uuid of token
      Returns:
        reference to this, for fluency

    - #### rxDeleteAclToken

          public Single<Boolean> rxDeleteAclToken(String accessorId)

      Deletes an ACL token
      Parameters:
        `accessorId` - uuid of token
      Returns:
        reference to this, for fluency

    - #### createAclToken

          @Deprecated
          public ConsulClient createAclToken(AclToken token,
                                                         Handler<AsyncResult<String>> idHandler)

      Deprecated.
      Legacy create new Acl token
      Parameters:
        `token` - properties of the token
        `idHandler` - will be provided with ID of created token
      Returns:
        reference to this, for fluency

    - #### createAclToken

          @Deprecated
          public ConsulClient createAclToken(AclToken token)

      Deprecated.
      Legacy create new Acl token
      Parameters:
        `token` - properties of the token
      Returns:
        reference to this, for fluency

    - #### rxCreateAclToken

          @Deprecated
          public Single<String> rxCreateAclToken(AclToken token)

      Deprecated.
      Legacy create new Acl token
      Parameters:
        `token` - properties of the token
      Returns:
        reference to this, for fluency

    - #### updateAclToken

          @Deprecated
          public ConsulClient updateAclToken(AclToken token,
                                                         Handler<AsyncResult<String>> idHandler)

      Deprecated.
      Update Acl token
      Parameters:
        `token` - properties of the token to be updated
        `idHandler` - will be provided with ID of updated
      Returns:
        reference to this, for fluency

    - #### updateAclToken

          @Deprecated
          public ConsulClient updateAclToken(AclToken token)

      Deprecated.
      Update Acl token
      Parameters:
        `token` - properties of the token to be updated
      Returns:
        reference to this, for fluency

    - #### rxUpdateAclToken

          @Deprecated
          public Single<String> rxUpdateAclToken(AclToken token)

      Deprecated.
      Update Acl token
      Parameters:
        `token` - properties of the token to be updated
      Returns:
        reference to this, for fluency

    - #### cloneAclToken

          @Deprecated
          public ConsulClient cloneAclToken(String id,
                                                        Handler<AsyncResult<String>> idHandler)

      Deprecated.
      Clone Acl token
      Parameters:
        `id` - the ID of token to be cloned
        `idHandler` - will be provided with ID of cloned token
      Returns:
        reference to this, for fluency

    - #### cloneAclToken

          @Deprecated
          public ConsulClient cloneAclToken(String id)

      Deprecated.
      Clone Acl token
      Parameters:
        `id` - the ID of token to be cloned
      Returns:
        reference to this, for fluency

    - #### rxCloneAclToken

          @Deprecated
          public Single<String> rxCloneAclToken(String id)

      Deprecated.
      Clone Acl token
      Parameters:
        `id` - the ID of token to be cloned
      Returns:
        reference to this, for fluency

    - #### listAclTokens

          @Deprecated
          public ConsulClient listAclTokens(Handler<AsyncResult<List<AclToken>>> resultHandler)

      Deprecated.
      Get list of Acl token
      Parameters:
        `resultHandler` - will be provided with list of tokens
      Returns:
        reference to this, for fluency

    - #### listAclTokens

          @Deprecated
          public ConsulClient listAclTokens()

      Deprecated.
      Get list of Acl token
      Returns:
        reference to this, for fluency

    - #### rxListAclTokens

          @Deprecated
          public Single<List<AclToken>> rxListAclTokens()

      Deprecated.
      Get list of Acl token
      Returns:
        reference to this, for fluency

    - #### infoAclToken

          @Deprecated
          public ConsulClient infoAclToken(String id,
                                                       Handler<AsyncResult<AclToken>> tokenHandler)

      Deprecated.
      Get info of Acl token
      Parameters:
        `id` - the ID of token
        `tokenHandler` - will be provided with token
      Returns:
        reference to this, for fluency

    - #### infoAclToken

          @Deprecated
          public ConsulClient infoAclToken(String id)

      Deprecated.
      Get info of Acl token
      Parameters:
        `id` - the ID of token
      Returns:
        reference to this, for fluency

    - #### rxInfoAclToken

          @Deprecated
          public Single<AclToken> rxInfoAclToken(String id)

      Deprecated.
      Get info of Acl token
      Parameters:
        `id` - the ID of token
      Returns:
        reference to this, for fluency

    - #### destroyAclToken

          @Deprecated
          public ConsulClient destroyAclToken(String id,
                                                          Handler<AsyncResult<Void>> resultHandler)

      Deprecated.
      Destroy Acl token
      Parameters:
        `id` - the ID of token
        `resultHandler` - will be called on complete
      Returns:
        reference to this, for fluency

    - #### destroyAclToken

          @Deprecated
          public ConsulClient destroyAclToken(String id)

      Deprecated.
      Destroy Acl token
      Parameters:
        `id` - the ID of token
      Returns:
        reference to this, for fluency

    - #### rxDestroyAclToken

          @Deprecated
          public Single<Void> rxDestroyAclToken(String id)

      Deprecated.
      Destroy Acl token
      Parameters:
        `id` - the ID of token
      Returns:
        reference to this, for fluency

    - #### fireEvent

          public ConsulClient fireEvent(String name,
                                        Handler<AsyncResult<Event>> resultHandler)

      Fires a new user event
      Parameters:
        `name` - name of event
        `resultHandler` - will be provided with properties of event
      Returns:
        reference to this, for fluency

    - #### fireEvent

          public ConsulClient fireEvent(String name)

      Fires a new user event
      Parameters:
        `name` - name of event
      Returns:
        reference to this, for fluency

    - #### rxFireEvent

          public Single<Event> rxFireEvent(String name)

      Fires a new user event
      Parameters:
        `name` - name of event
      Returns:
        reference to this, for fluency

    - #### fireEventWithOptions

          public ConsulClient fireEventWithOptions(String name,
                                                   EventOptions options,
                                                   Handler<AsyncResult<Event>> resultHandler)

      Fires a new user event
      Parameters:
        `name` - name of event
        `options` - options used to create event
        `resultHandler` - will be provided with properties of event
      Returns:
        reference to this, for fluency

    - #### fireEventWithOptions

          public ConsulClient fireEventWithOptions(String name,
                                                   EventOptions options)

      Fires a new user event
      Parameters:
        `name` - name of event
        `options` - options used to create event
      Returns:
        reference to this, for fluency

    - #### rxFireEventWithOptions

          public Single<Event> rxFireEventWithOptions(String name,
                                                      EventOptions options)

      Fires a new user event
      Parameters:
        `name` - name of event
        `options` - options used to create event
      Returns:
        reference to this, for fluency

    - #### listEvents

          public ConsulClient listEvents(Handler<AsyncResult<EventList>> resultHandler)

      Returns the most recent events known by the agent
      Parameters:
        `resultHandler` - will be provided with list of events
      Returns:
        reference to this, for fluency

    - #### listEvents

          public ConsulClient listEvents()

      Returns the most recent events known by the agent
      Returns:
        reference to this, for fluency

    - #### rxListEvents

          public Single<EventList> rxListEvents()

      Returns the most recent events known by the agent
      Returns:
        reference to this, for fluency

    - #### listEventsWithOptions

          public ConsulClient listEventsWithOptions(EventListOptions options,
                                                    Handler<AsyncResult<EventList>> resultHandler)

      Returns the most recent events known by the agent. This is blocking query unlike `listEvents(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.EventList>>)`. However, the semantics of this endpoint are slightly different. Most blocking queries provide a monotonic index and block until a newer index is available. This can be supported as a consequence of the total ordering of the consensus protocol. With gossip, there is no ordering, and instead `X-Consul-Index` maps to the newest event that matches the query.

      In practice, this means the index is only useful when used against a single agent and has no meaning globally. Because Consul defines the index as being opaque, clients should not be expecting a natural ordering either.

      Parameters:
        `options` - the blocking options
        `resultHandler` - will be provided with list of events
      Returns:
        reference to this, for fluency

    - #### listEventsWithOptions

          public ConsulClient listEventsWithOptions(EventListOptions options)

      Returns the most recent events known by the agent. This is blocking query unlike `listEvents(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.EventList>>)`. However, the semantics of this endpoint are slightly different. Most blocking queries provide a monotonic index and block until a newer index is available. This can be supported as a consequence of the total ordering of the consensus protocol. With gossip, there is no ordering, and instead `X-Consul-Index` maps to the newest event that matches the query.

      In practice, this means the index is only useful when used against a single agent and has no meaning globally. Because Consul defines the index as being opaque, clients should not be expecting a natural ordering either.

      Parameters:
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### rxListEventsWithOptions

          public Single<EventList> rxListEventsWithOptions(EventListOptions options)

      Returns the most recent events known by the agent. This is blocking query unlike `listEvents(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.EventList>>)`. However, the semantics of this endpoint are slightly different. Most blocking queries provide a monotonic index and block until a newer index is available. This can be supported as a consequence of the total ordering of the consensus protocol. With gossip, there is no ordering, and instead `X-Consul-Index` maps to the newest event that matches the query.

      In practice, this means the index is only useful when used against a single agent and has no meaning globally. Because Consul defines the index as being opaque, clients should not be expecting a natural ordering either.

      Parameters:
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### registerService

          public ConsulClient registerService(ServiceOptions serviceOptions,
                                              Handler<AsyncResult<Void>> resultHandler)

      Adds a new service, with an optional health check, to the local agent.
      Parameters:
        `serviceOptions` - the options of new service
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### registerService

          public ConsulClient registerService(ServiceOptions serviceOptions)

      Adds a new service, with an optional health check, to the local agent.
      Parameters:
        `serviceOptions` - the options of new service
      Returns:
        reference to this, for fluency

    - #### rxRegisterService

          public Single<Void> rxRegisterService(ServiceOptions serviceOptions)

      Adds a new service, with an optional health check, to the local agent.
      Parameters:
        `serviceOptions` - the options of new service
      Returns:
        reference to this, for fluency

    - #### maintenanceService

          public ConsulClient maintenanceService(MaintenanceOptions maintenanceOptions,
                                                 Handler<AsyncResult<Void>> resultHandler)

      Places a given service into "maintenance mode"
      Parameters:
        `maintenanceOptions` - the maintenance options
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### maintenanceService

          public ConsulClient maintenanceService(MaintenanceOptions maintenanceOptions)

      Places a given service into "maintenance mode"
      Parameters:
        `maintenanceOptions` - the maintenance options
      Returns:
        reference to this, for fluency

    - #### rxMaintenanceService

          public Single<Void> rxMaintenanceService(MaintenanceOptions maintenanceOptions)

      Places a given service into "maintenance mode"
      Parameters:
        `maintenanceOptions` - the maintenance options
      Returns:
        reference to this, for fluency

    - #### deregisterService

          public ConsulClient deregisterService(String id,
                                                Handler<AsyncResult<Void>> resultHandler)

      Remove a service from the local agent. The agent will take care of deregistering the service with the Catalog. If there is an associated check, that is also deregistered.
      Parameters:
        `id` - the ID of service
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### deregisterService

          public ConsulClient deregisterService(String id)

      Remove a service from the local agent. The agent will take care of deregistering the service with the Catalog. If there is an associated check, that is also deregistered.
      Parameters:
        `id` - the ID of service
      Returns:
        reference to this, for fluency

    - #### rxDeregisterService

          public Single<Void> rxDeregisterService(String id)

      Remove a service from the local agent. The agent will take care of deregistering the service with the Catalog. If there is an associated check, that is also deregistered.
      Parameters:
        `id` - the ID of service
      Returns:
        reference to this, for fluency

    - #### catalogServiceNodes

          public ConsulClient catalogServiceNodes(String service,
                                                  Handler<AsyncResult<ServiceList>> resultHandler)

      Returns the nodes providing a service
      Parameters:
        `service` - name of service
        `resultHandler` - will be provided with list of nodes providing given service
      Returns:
        reference to this, for fluency

    - #### catalogServiceNodes

          public ConsulClient catalogServiceNodes(String service)

      Returns the nodes providing a service
      Parameters:
        `service` - name of service
      Returns:
        reference to this, for fluency

    - #### rxCatalogServiceNodes

          public Single<ServiceList> rxCatalogServiceNodes(String service)

      Returns the nodes providing a service
      Parameters:
        `service` - name of service
      Returns:
        reference to this, for fluency

    - #### catalogServiceNodesWithOptions

          public ConsulClient catalogServiceNodesWithOptions(String service,
                                                             ServiceQueryOptions options,
                                                             Handler<AsyncResult<ServiceList>> resultHandler)

      Returns the nodes providing a service
      Parameters:
        `service` - name of service
        `options` - options used to request services
        `resultHandler` - will be provided with list of nodes providing given service
      Returns:
        reference to this, for fluency

    - #### catalogServiceNodesWithOptions

          public ConsulClient catalogServiceNodesWithOptions(String service,
                                                             ServiceQueryOptions options)

      Returns the nodes providing a service
      Parameters:
        `service` - name of service
        `options` - options used to request services
      Returns:
        reference to this, for fluency

    - #### rxCatalogServiceNodesWithOptions

          public Single<ServiceList> rxCatalogServiceNodesWithOptions(String service,
                                                                      ServiceQueryOptions options)

      Returns the nodes providing a service
      Parameters:
        `service` - name of service
        `options` - options used to request services
      Returns:
        reference to this, for fluency

    - #### catalogDatacenters

          public ConsulClient catalogDatacenters(Handler<AsyncResult<List<String>>> resultHandler)

      Return all the datacenters that are known by the Consul server
      Parameters:
        `resultHandler` - will be provided with list of datacenters
      Returns:
        reference to this, for fluency

    - #### catalogDatacenters

          public ConsulClient catalogDatacenters()

      Return all the datacenters that are known by the Consul server
      Returns:
        reference to this, for fluency

    - #### rxCatalogDatacenters

          public Single<List<String>> rxCatalogDatacenters()

      Return all the datacenters that are known by the Consul server
      Returns:
        reference to this, for fluency

    - #### catalogNodes

          public ConsulClient catalogNodes(Handler<AsyncResult<NodeList>> resultHandler)

      Returns the nodes registered in a datacenter
      Parameters:
        `resultHandler` - will be provided with list of nodes
      Returns:
        reference to this, for fluency

    - #### catalogNodes

          public ConsulClient catalogNodes()

      Returns the nodes registered in a datacenter
      Returns:
        reference to this, for fluency

    - #### rxCatalogNodes

          public Single<NodeList> rxCatalogNodes()

      Returns the nodes registered in a datacenter
      Returns:
        reference to this, for fluency

    - #### catalogNodesWithOptions

          public ConsulClient catalogNodesWithOptions(NodeQueryOptions options,
                                                      Handler<AsyncResult<NodeList>> resultHandler)

      Returns the nodes registered in a datacenter
      Parameters:
        `options` - options used to request nodes
        `resultHandler` - will be provided with list of nodes
      Returns:
        reference to this, for fluency

    - #### catalogNodesWithOptions

          public ConsulClient catalogNodesWithOptions(NodeQueryOptions options)

      Returns the nodes registered in a datacenter
      Parameters:
        `options` - options used to request nodes
      Returns:
        reference to this, for fluency

    - #### rxCatalogNodesWithOptions

          public Single<NodeList> rxCatalogNodesWithOptions(NodeQueryOptions options)

      Returns the nodes registered in a datacenter
      Parameters:
        `options` - options used to request nodes
      Returns:
        reference to this, for fluency

    - #### healthChecks

          public ConsulClient healthChecks(String service,
                                           Handler<AsyncResult<CheckList>> resultHandler)

      Returns the checks associated with the service
      Parameters:
        `service` - the service name
        `resultHandler` - will be provided with list of checks
      Returns:
        reference to this, for fluency

    - #### healthChecks

          public ConsulClient healthChecks(String service)

      Returns the checks associated with the service
      Parameters:
        `service` - the service name
      Returns:
        reference to this, for fluency

    - #### rxHealthChecks

          public Single<CheckList> rxHealthChecks(String service)

      Returns the checks associated with the service
      Parameters:
        `service` - the service name
      Returns:
        reference to this, for fluency

    - #### healthChecksWithOptions

          public ConsulClient healthChecksWithOptions(String service,
                                                      CheckQueryOptions options,
                                                      Handler<AsyncResult<CheckList>> resultHandler)

      Returns the checks associated with the service
      Parameters:
        `service` - the service name
        `options` - options used to request checks
        `resultHandler` - will be provided with list of checks
      Returns:
        reference to this, for fluency

    - #### healthChecksWithOptions

          public ConsulClient healthChecksWithOptions(String service,
                                                      CheckQueryOptions options)

      Returns the checks associated with the service
      Parameters:
        `service` - the service name
        `options` - options used to request checks
      Returns:
        reference to this, for fluency

    - #### rxHealthChecksWithOptions

          public Single<CheckList> rxHealthChecksWithOptions(String service,
                                                             CheckQueryOptions options)

      Returns the checks associated with the service
      Parameters:
        `service` - the service name
        `options` - options used to request checks
      Returns:
        reference to this, for fluency

    - #### healthState

          public ConsulClient healthState(HealthState healthState,
                                          Handler<AsyncResult<CheckList>> resultHandler)

      Returns the checks in the specified status
      Parameters:
        `healthState` - the health state
        `resultHandler` - will be provided with list of checks
      Returns:
        reference to this, for fluency

    - #### healthState

          public ConsulClient healthState(HealthState healthState)

      Returns the checks in the specified status
      Parameters:
        `healthState` - the health state
      Returns:
        reference to this, for fluency

    - #### rxHealthState

          public Single<CheckList> rxHealthState(HealthState healthState)

      Returns the checks in the specified status
      Parameters:
        `healthState` - the health state
      Returns:
        reference to this, for fluency

    - #### healthStateWithOptions

          public ConsulClient healthStateWithOptions(HealthState healthState,
                                                     CheckQueryOptions options,
                                                     Handler<AsyncResult<CheckList>> resultHandler)

      Returns the checks in the specified status
      Parameters:
        `healthState` - the health state
        `options` - options used to request checks
        `resultHandler` - will be provided with list of checks
      Returns:
        reference to this, for fluency

    - #### healthStateWithOptions

          public ConsulClient healthStateWithOptions(HealthState healthState,
                                                     CheckQueryOptions options)

      Returns the checks in the specified status
      Parameters:
        `healthState` - the health state
        `options` - options used to request checks
      Returns:
        reference to this, for fluency

    - #### rxHealthStateWithOptions

          public Single<CheckList> rxHealthStateWithOptions(HealthState healthState,
                                                            CheckQueryOptions options)

      Returns the checks in the specified status
      Parameters:
        `healthState` - the health state
        `options` - options used to request checks
      Returns:
        reference to this, for fluency

    - #### healthServiceNodes

          public ConsulClient healthServiceNodes(String service,
                                                 boolean passing,
                                                 Handler<AsyncResult<ServiceEntryList>> resultHandler)

      Returns the nodes providing the service. This endpoint is very similar to the `catalogServiceNodes(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)` endpoint; however, this endpoint automatically returns the status of the associated health check as well as any system level health checks.
      Parameters:
        `service` - the service name
        `passing` - if true, filter results to only nodes with all checks in the passing state
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency

    - #### healthServiceNodes

          public ConsulClient healthServiceNodes(String service,
                                                 boolean passing)

      Returns the nodes providing the service. This endpoint is very similar to the `catalogServiceNodes(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)` endpoint; however, this endpoint automatically returns the status of the associated health check as well as any system level health checks.
      Parameters:
        `service` - the service name
        `passing` - if true, filter results to only nodes with all checks in the passing state
      Returns:
        reference to this, for fluency

    - #### rxHealthServiceNodes

          public Single<ServiceEntryList> rxHealthServiceNodes(String service,
                                                               boolean passing)

      Returns the nodes providing the service. This endpoint is very similar to the `catalogServiceNodes(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)` endpoint; however, this endpoint automatically returns the status of the associated health check as well as any system level health checks.
      Parameters:
        `service` - the service name
        `passing` - if true, filter results to only nodes with all checks in the passing state
      Returns:
        reference to this, for fluency

    - #### healthServiceNodesWithOptions

          public ConsulClient healthServiceNodesWithOptions(String service,
                                                            boolean passing,
                                                            ServiceQueryOptions options,
                                                            Handler<AsyncResult<ServiceEntryList>> resultHandler)

      Returns the nodes providing the service. This endpoint is very similar to the `catalogServiceNodesWithOptions(java.lang.String, io.vertx.ext.consul.ServiceQueryOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)` endpoint; however, this endpoint automatically returns the status of the associated health check as well as any system level health checks.
      Parameters:
        `service` - the service name
        `passing` - if true, filter results to only nodes with all checks in the passing state
        `options` - options used to request services
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency

    - #### healthServiceNodesWithOptions

          public ConsulClient healthServiceNodesWithOptions(String service,
                                                            boolean passing,
                                                            ServiceQueryOptions options)

      Returns the nodes providing the service. This endpoint is very similar to the `catalogServiceNodesWithOptions(java.lang.String, io.vertx.ext.consul.ServiceQueryOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)` endpoint; however, this endpoint automatically returns the status of the associated health check as well as any system level health checks.
      Parameters:
        `service` - the service name
        `passing` - if true, filter results to only nodes with all checks in the passing state
        `options` - options used to request services
      Returns:
        reference to this, for fluency

    - #### rxHealthServiceNodesWithOptions

          public Single<ServiceEntryList> rxHealthServiceNodesWithOptions(String service,
                                                                          boolean passing,
                                                                          ServiceQueryOptions options)

      Returns the nodes providing the service. This endpoint is very similar to the `catalogServiceNodesWithOptions(java.lang.String, io.vertx.ext.consul.ServiceQueryOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)` endpoint; however, this endpoint automatically returns the status of the associated health check as well as any system level health checks.
      Parameters:
        `service` - the service name
        `passing` - if true, filter results to only nodes with all checks in the passing state
        `options` - options used to request services
      Returns:
        reference to this, for fluency

    - #### healthNodesWithOptions

          public ConsulClient healthNodesWithOptions(String node,
                                                     CheckQueryOptions options,
                                                     Handler<AsyncResult<CheckList>> resultHandler)

      Returns the checks specific to the node provided on the path.
      Parameters:
        `node` - the node name or ID
        `options` - options used to request node health checks
        `resultHandler` -
      Returns:
        a future provided with list of services

    - #### healthNodesWithOptions

          public ConsulClient healthNodesWithOptions(String node,
                                                     CheckQueryOptions options)

      Returns the checks specific to the node provided on the path.
      Parameters:
        `node` - the node name or ID
        `options` - options used to request node health checks
      Returns:
        a future provided with list of services

    - #### rxHealthNodesWithOptions

          public Single<CheckList> rxHealthNodesWithOptions(String node,
                                                            CheckQueryOptions options)

      Returns the checks specific to the node provided on the path.
      Parameters:
        `node` - the node name or ID
        `options` - options used to request node health checks
      Returns:
        a future provided with list of services

    - #### catalogServices

          public ConsulClient catalogServices(Handler<AsyncResult<ServiceList>> resultHandler)

      Returns the services registered in a datacenter
      Parameters:
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency

    - #### catalogServices

          public ConsulClient catalogServices()

      Returns the services registered in a datacenter
      Returns:
        reference to this, for fluency

    - #### rxCatalogServices

          public Single<ServiceList> rxCatalogServices()

      Returns the services registered in a datacenter
      Returns:
        reference to this, for fluency

    - #### catalogServicesWithOptions

          public ConsulClient catalogServicesWithOptions(BlockingQueryOptions options,
                                                         Handler<AsyncResult<ServiceList>> resultHandler)

      Returns the services registered in a datacenter This is blocking query unlike `catalogServices(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
      Parameters:
        `options` - the blocking options
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency

    - #### catalogServicesWithOptions

          public ConsulClient catalogServicesWithOptions(BlockingQueryOptions options)

      Returns the services registered in a datacenter This is blocking query unlike `catalogServices(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
      Parameters:
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### rxCatalogServicesWithOptions

          public Single<ServiceList> rxCatalogServicesWithOptions(BlockingQueryOptions options)

      Returns the services registered in a datacenter This is blocking query unlike `catalogServices(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
      Parameters:
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### catalogNodeServices

          public ConsulClient catalogNodeServices(String node,
                                                  Handler<AsyncResult<ServiceList>> resultHandler)

      Returns the node's registered services
      Parameters:
        `node` - node name
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency

    - #### catalogNodeServices

          public ConsulClient catalogNodeServices(String node)

      Returns the node's registered services
      Parameters:
        `node` - node name
      Returns:
        reference to this, for fluency

    - #### rxCatalogNodeServices

          public Single<ServiceList> rxCatalogNodeServices(String node)

      Returns the node's registered services
      Parameters:
        `node` - node name
      Returns:
        reference to this, for fluency

    - #### catalogNodeServicesWithOptions

          public ConsulClient catalogNodeServicesWithOptions(String node,
                                                             BlockingQueryOptions options,
                                                             Handler<AsyncResult<ServiceList>> resultHandler)

      Returns the node's registered services This is blocking query unlike `catalogNodeServices(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
      Parameters:
        `node` - node name
        `options` - the blocking options
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency

    - #### catalogNodeServicesWithOptions

          public ConsulClient catalogNodeServicesWithOptions(String node,
                                                             BlockingQueryOptions options)

      Returns the node's registered services This is blocking query unlike `catalogNodeServices(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
      Parameters:
        `node` - node name
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### rxCatalogNodeServicesWithOptions

          public Single<ServiceList> rxCatalogNodeServicesWithOptions(String node,
                                                                      BlockingQueryOptions options)

      Returns the node's registered services This is blocking query unlike `catalogNodeServices(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
      Parameters:
        `node` - node name
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### localServices

          public ConsulClient localServices(Handler<AsyncResult<List<Service>>> resultHandler)

      Returns list of services registered with the local agent.
      Parameters:
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency

    - #### localServices

          public ConsulClient localServices()

      Returns list of services registered with the local agent.
      Returns:
        reference to this, for fluency

    - #### rxLocalServices

          public Single<List<Service>> rxLocalServices()

      Returns list of services registered with the local agent.
      Returns:
        reference to this, for fluency

    - #### localChecks

          public ConsulClient localChecks(Handler<AsyncResult<List<Check>>> resultHandler)

      Return all the checks that are registered with the local agent.
      Parameters:
        `resultHandler` - will be provided with list of checks
      Returns:
        reference to this, for fluency

    - #### localChecks

          public ConsulClient localChecks()

      Return all the checks that are registered with the local agent.
      Returns:
        reference to this, for fluency

    - #### rxLocalChecks

          public Single<List<Check>> rxLocalChecks()

      Return all the checks that are registered with the local agent.
      Returns:
        reference to this, for fluency

    - #### registerCheck

          public ConsulClient registerCheck(CheckOptions checkOptions,
                                            Handler<AsyncResult<Void>> resultHandler)

      Add a new check to the local agent. The agent is responsible for managing the status of the check and keeping the Catalog in sync.
      Parameters:
        `checkOptions` - options used to register new check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### registerCheck

          public ConsulClient registerCheck(CheckOptions checkOptions)

      Add a new check to the local agent. The agent is responsible for managing the status of the check and keeping the Catalog in sync.
      Parameters:
        `checkOptions` - options used to register new check
      Returns:
        reference to this, for fluency

    - #### rxRegisterCheck

          public Single<Void> rxRegisterCheck(CheckOptions checkOptions)

      Add a new check to the local agent. The agent is responsible for managing the status of the check and keeping the Catalog in sync.
      Parameters:
        `checkOptions` - options used to register new check
      Returns:
        reference to this, for fluency

    - #### deregisterCheck

          public ConsulClient deregisterCheck(String checkId,
                                              Handler<AsyncResult<Void>> resultHandler)

      Remove a check from the local agent. The agent will take care of deregistering the check from the Catalog.
      Parameters:
        `checkId` - the ID of check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### deregisterCheck

          public ConsulClient deregisterCheck(String checkId)

      Remove a check from the local agent. The agent will take care of deregistering the check from the Catalog.
      Parameters:
        `checkId` - the ID of check
      Returns:
        reference to this, for fluency

    - #### rxDeregisterCheck

          public Single<Void> rxDeregisterCheck(String checkId)

      Remove a check from the local agent. The agent will take care of deregistering the check from the Catalog.
      Parameters:
        `checkId` - the ID of check
      Returns:
        reference to this, for fluency

    - #### passCheck

          public ConsulClient passCheck(String checkId,
                                        Handler<AsyncResult<Void>> resultHandler)

      Set status of the check to "passing". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### passCheck

          public ConsulClient passCheck(String checkId)

      Set status of the check to "passing". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
      Returns:
        reference to this, for fluency

    - #### rxPassCheck

          public Single<Void> rxPassCheck(String checkId)

      Set status of the check to "passing". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
      Returns:
        reference to this, for fluency

    - #### passCheckWithNote

          public ConsulClient passCheckWithNote(String checkId,
                                                String note,
                                                Handler<AsyncResult<Void>> resultHandler)

      Set status of the check to "passing". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `note` - specifies a human-readable message. This will be passed through to the check's `Output` field.
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### passCheckWithNote

          public ConsulClient passCheckWithNote(String checkId,
                                                String note)

      Set status of the check to "passing". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `note` - specifies a human-readable message. This will be passed through to the check's `Output` field.
      Returns:
        reference to this, for fluency

    - #### rxPassCheckWithNote

          public Single<Void> rxPassCheckWithNote(String checkId,
                                                  String note)

      Set status of the check to "passing". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `note` - specifies a human-readable message. This will be passed through to the check's `Output` field.
      Returns:
        reference to this, for fluency

    - #### warnCheck

          public ConsulClient warnCheck(String checkId,
                                        Handler<AsyncResult<Void>> resultHandler)

      Set status of the check to "warning". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### warnCheck

          public ConsulClient warnCheck(String checkId)

      Set status of the check to "warning". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
      Returns:
        reference to this, for fluency

    - #### rxWarnCheck

          public Single<Void> rxWarnCheck(String checkId)

      Set status of the check to "warning". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
      Returns:
        reference to this, for fluency

    - #### warnCheckWithNote

          public ConsulClient warnCheckWithNote(String checkId,
                                                String note,
                                                Handler<AsyncResult<Void>> resultHandler)

      Set status of the check to "warning". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `note` - specifies a human-readable message. This will be passed through to the check's `Output` field.
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### warnCheckWithNote

          public ConsulClient warnCheckWithNote(String checkId,
                                                String note)

      Set status of the check to "warning". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `note` - specifies a human-readable message. This will be passed through to the check's `Output` field.
      Returns:
        reference to this, for fluency

    - #### rxWarnCheckWithNote

          public Single<Void> rxWarnCheckWithNote(String checkId,
                                                  String note)

      Set status of the check to "warning". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `note` - specifies a human-readable message. This will be passed through to the check's `Output` field.
      Returns:
        reference to this, for fluency

    - #### failCheck

          public ConsulClient failCheck(String checkId,
                                        Handler<AsyncResult<Void>> resultHandler)

      Set status of the check to "critical". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### failCheck

          public ConsulClient failCheck(String checkId)

      Set status of the check to "critical". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
      Returns:
        reference to this, for fluency

    - #### rxFailCheck

          public Single<Void> rxFailCheck(String checkId)

      Set status of the check to "critical". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
      Returns:
        reference to this, for fluency

    - #### failCheckWithNote

          public ConsulClient failCheckWithNote(String checkId,
                                                String note,
                                                Handler<AsyncResult<Void>> resultHandler)

      Set status of the check to "critical". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `note` - specifies a human-readable message. This will be passed through to the check's `Output` field.
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### failCheckWithNote

          public ConsulClient failCheckWithNote(String checkId,
                                                String note)

      Set status of the check to "critical". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `note` - specifies a human-readable message. This will be passed through to the check's `Output` field.
      Returns:
        reference to this, for fluency

    - #### rxFailCheckWithNote

          public Single<Void> rxFailCheckWithNote(String checkId,
                                                  String note)

      Set status of the check to "critical". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `note` - specifies a human-readable message. This will be passed through to the check's `Output` field.
      Returns:
        reference to this, for fluency

    - #### updateCheck

          public ConsulClient updateCheck(String checkId,
                                          CheckStatus status,
                                          Handler<AsyncResult<Void>> resultHandler)

      Set status of the check to given status. Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `status` - new status of check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### updateCheck

          public ConsulClient updateCheck(String checkId,
                                          CheckStatus status)

      Set status of the check to given status. Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `status` - new status of check
      Returns:
        reference to this, for fluency

    - #### rxUpdateCheck

          public Single<Void> rxUpdateCheck(String checkId,
                                            CheckStatus status)

      Set status of the check to given status. Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `status` - new status of check
      Returns:
        reference to this, for fluency

    - #### updateCheckWithNote

          public ConsulClient updateCheckWithNote(String checkId,
                                                  CheckStatus status,
                                                  String note,
                                                  Handler<AsyncResult<Void>> resultHandler)

      Set status of the check to given status. Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `status` - new status of check
        `note` - specifies a human-readable message. This will be passed through to the check's `Output` field.
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### updateCheckWithNote

          public ConsulClient updateCheckWithNote(String checkId,
                                                  CheckStatus status,
                                                  String note)

      Set status of the check to given status. Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `status` - new status of check
        `note` - specifies a human-readable message. This will be passed through to the check's `Output` field.
      Returns:
        reference to this, for fluency

    - #### rxUpdateCheckWithNote

          public Single<Void> rxUpdateCheckWithNote(String checkId,
                                                    CheckStatus status,
                                                    String note)

      Set status of the check to given status. Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `status` - new status of check
        `note` - specifies a human-readable message. This will be passed through to the check's `Output` field.
      Returns:
        reference to this, for fluency

    - #### leaderStatus

          public ConsulClient leaderStatus(Handler<AsyncResult<String>> resultHandler)

      Get the Raft leader for the datacenter in which the agent is running. It returns an address in format "`10.1.10.12:8300`"
      Parameters:
        `resultHandler` - will be provided with address of cluster leader
      Returns:
        reference to this, for fluency

    - #### leaderStatus

          public ConsulClient leaderStatus()

      Get the Raft leader for the datacenter in which the agent is running. It returns an address in format "`10.1.10.12:8300`"
      Returns:
        reference to this, for fluency

    - #### rxLeaderStatus

          public Single<String> rxLeaderStatus()

      Get the Raft leader for the datacenter in which the agent is running. It returns an address in format "`10.1.10.12:8300`"
      Returns:
        reference to this, for fluency

    - #### peersStatus

          public ConsulClient peersStatus(Handler<AsyncResult<List<String>>> resultHandler)

      Retrieves the Raft peers for the datacenter in which the the agent is running. It returns a list of addresses "`10.1.10.12:8300`", "`10.1.10.13:8300`"
      Parameters:
        `resultHandler` - will be provided with list of peers
      Returns:
        reference to this, for fluency

    - #### peersStatus

          public ConsulClient peersStatus()

      Retrieves the Raft peers for the datacenter in which the the agent is running. It returns a list of addresses "`10.1.10.12:8300`", "`10.1.10.13:8300`"
      Returns:
        reference to this, for fluency

    - #### rxPeersStatus

          public Single<List<String>> rxPeersStatus()

      Retrieves the Raft peers for the datacenter in which the the agent is running. It returns a list of addresses "`10.1.10.12:8300`", "`10.1.10.13:8300`"
      Returns:
        reference to this, for fluency

    - #### createSession

          public ConsulClient createSession(Handler<AsyncResult<String>> idHandler)

      Initialize a new session
      Parameters:
        `idHandler` - will be provided with ID of new session
      Returns:
        reference to this, for fluency

    - #### createSession

          public ConsulClient createSession()

      Initialize a new session
      Returns:
        reference to this, for fluency

    - #### rxCreateSession

          public Single<String> rxCreateSession()

      Initialize a new session
      Returns:
        reference to this, for fluency

    - #### createSessionWithOptions

          public ConsulClient createSessionWithOptions(SessionOptions options,
                                                       Handler<AsyncResult<String>> idHandler)

      Initialize a new session
      Parameters:
        `options` - options used to create session
        `idHandler` - will be provided with ID of new session
      Returns:
        reference to this, for fluency

    - #### createSessionWithOptions

          public ConsulClient createSessionWithOptions(SessionOptions options)

      Initialize a new session
      Parameters:
        `options` - options used to create session
      Returns:
        reference to this, for fluency

    - #### rxCreateSessionWithOptions

          public Single<String> rxCreateSessionWithOptions(SessionOptions options)

      Initialize a new session
      Parameters:
        `options` - options used to create session
      Returns:
        reference to this, for fluency

    - #### infoSession

          public ConsulClient infoSession(String id,
                                          Handler<AsyncResult<Session>> resultHandler)

      Returns the requested session information
      Parameters:
        `id` - the ID of requested session
        `resultHandler` - will be provided with info of requested session
      Returns:
        reference to this, for fluency

    - #### infoSession

          public ConsulClient infoSession(String id)

      Returns the requested session information
      Parameters:
        `id` - the ID of requested session
      Returns:
        reference to this, for fluency

    - #### rxInfoSession

          public Single<Session> rxInfoSession(String id)

      Returns the requested session information
      Parameters:
        `id` - the ID of requested session
      Returns:
        reference to this, for fluency

    - #### infoSessionWithOptions

          public ConsulClient infoSessionWithOptions(String id,
                                                     BlockingQueryOptions options,
                                                     Handler<AsyncResult<Session>> resultHandler)

      Returns the requested session information This is blocking query unlike `infoSession(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.Session>>)`
      Parameters:
        `id` - the ID of requested session
        `options` - the blocking options
        `resultHandler` - will be provided with info of requested session
      Returns:
        reference to this, for fluency

    - #### infoSessionWithOptions

          public ConsulClient infoSessionWithOptions(String id,
                                                     BlockingQueryOptions options)

      Returns the requested session information This is blocking query unlike `infoSession(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.Session>>)`
      Parameters:
        `id` - the ID of requested session
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### rxInfoSessionWithOptions

          public Single<Session> rxInfoSessionWithOptions(String id,
                                                          BlockingQueryOptions options)

      Returns the requested session information This is blocking query unlike `infoSession(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.Session>>)`
      Parameters:
        `id` - the ID of requested session
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### renewSession

          public ConsulClient renewSession(String id,
                                           Handler<AsyncResult<Session>> resultHandler)

      Renews the given session. This is used with sessions that have a TTL, and it extends the expiration by the TTL
      Parameters:
        `id` - the ID of session that should be renewed
        `resultHandler` - will be provided with info of renewed session
      Returns:
        reference to this, for fluency

    - #### renewSession

          public ConsulClient renewSession(String id)

      Renews the given session. This is used with sessions that have a TTL, and it extends the expiration by the TTL
      Parameters:
        `id` - the ID of session that should be renewed
      Returns:
        reference to this, for fluency

    - #### rxRenewSession

          public Single<Session> rxRenewSession(String id)

      Renews the given session. This is used with sessions that have a TTL, and it extends the expiration by the TTL
      Parameters:
        `id` - the ID of session that should be renewed
      Returns:
        reference to this, for fluency

    - #### listSessions

          public ConsulClient listSessions(Handler<AsyncResult<SessionList>> resultHandler)

      Returns the active sessions
      Parameters:
        `resultHandler` - will be provided with list of sessions
      Returns:
        reference to this, for fluency

    - #### listSessions

          public ConsulClient listSessions()

      Returns the active sessions
      Returns:
        reference to this, for fluency

    - #### rxListSessions

          public Single<SessionList> rxListSessions()

      Returns the active sessions
      Returns:
        reference to this, for fluency

    - #### listSessionsWithOptions

          public ConsulClient listSessionsWithOptions(BlockingQueryOptions options,
                                                      Handler<AsyncResult<SessionList>> resultHandler)

      Returns the active sessions This is blocking query unlike `listSessions(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
      Parameters:
        `options` - the blocking options
        `resultHandler` - will be provided with list of sessions
      Returns:
        reference to this, for fluency

    - #### listSessionsWithOptions

          public ConsulClient listSessionsWithOptions(BlockingQueryOptions options)

      Returns the active sessions This is blocking query unlike `listSessions(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
      Parameters:
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### rxListSessionsWithOptions

          public Single<SessionList> rxListSessionsWithOptions(BlockingQueryOptions options)

      Returns the active sessions This is blocking query unlike `listSessions(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
      Parameters:
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### listNodeSessions

          public ConsulClient listNodeSessions(String nodeId,
                                               Handler<AsyncResult<SessionList>> resultHandler)

      Returns the active sessions for a given node
      Parameters:
        `nodeId` - the ID of node
        `resultHandler` - will be provided with list of sessions
      Returns:
        reference to this, for fluency

    - #### listNodeSessions

          public ConsulClient listNodeSessions(String nodeId)

      Returns the active sessions for a given node
      Parameters:
        `nodeId` - the ID of node
      Returns:
        reference to this, for fluency

    - #### rxListNodeSessions

          public Single<SessionList> rxListNodeSessions(String nodeId)

      Returns the active sessions for a given node
      Parameters:
        `nodeId` - the ID of node
      Returns:
        reference to this, for fluency

    - #### listNodeSessionsWithOptions

          public ConsulClient listNodeSessionsWithOptions(String nodeId,
                                                          BlockingQueryOptions options,
                                                          Handler<AsyncResult<SessionList>> resultHandler)

      Returns the active sessions for a given node This is blocking query unlike `listNodeSessions(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
      Parameters:
        `nodeId` - the ID of node
        `options` - the blocking options
        `resultHandler` - will be provided with list of sessions
      Returns:
        reference to this, for fluency

    - #### listNodeSessionsWithOptions

          public ConsulClient listNodeSessionsWithOptions(String nodeId,
                                                          BlockingQueryOptions options)

      Returns the active sessions for a given node This is blocking query unlike `listNodeSessions(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
      Parameters:
        `nodeId` - the ID of node
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### rxListNodeSessionsWithOptions

          public Single<SessionList> rxListNodeSessionsWithOptions(String nodeId,
                                                                   BlockingQueryOptions options)

      Returns the active sessions for a given node This is blocking query unlike `listNodeSessions(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
      Parameters:
        `nodeId` - the ID of node
        `options` - the blocking options
      Returns:
        reference to this, for fluency

    - #### destroySession

          public ConsulClient destroySession(String id,
                                             Handler<AsyncResult<Void>> resultHandler)

      Destroys the given session
      Parameters:
        `id` - the ID of session
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### destroySession

          public ConsulClient destroySession(String id)

      Destroys the given session
      Parameters:
        `id` - the ID of session
      Returns:
        reference to this, for fluency

    - #### rxDestroySession

          public Single<Void> rxDestroySession(String id)

      Destroys the given session
      Parameters:
        `id` - the ID of session
      Returns:
        reference to this, for fluency

    - #### createPreparedQuery

          public ConsulClient createPreparedQuery(PreparedQueryDefinition definition,
                                                  Handler<AsyncResult<String>> resultHandler)

      Parameters:
        `definition` - definition of the prepare query
        `resultHandler` - will be provided with id of created prepare query
      Returns:
        reference to this, for fluency

    - #### createPreparedQuery

          public ConsulClient createPreparedQuery(PreparedQueryDefinition definition)

      Parameters:
        `definition` - definition of the prepare query
      Returns:
        reference to this, for fluency

    - #### rxCreatePreparedQuery

          public Single<String> rxCreatePreparedQuery(PreparedQueryDefinition definition)

      Parameters:
        `definition` - definition of the prepare query
      Returns:
        reference to this, for fluency

    - #### getPreparedQuery

          public ConsulClient getPreparedQuery(String id,
                                               Handler<AsyncResult<PreparedQueryDefinition>> resultHandler)

      Returns an existing prepared query
      Parameters:
        `id` - the id of the query to read
        `resultHandler` - will be provided with definition of the prepare query
      Returns:
        reference to this, for fluency

    - #### getPreparedQuery

          public ConsulClient getPreparedQuery(String id)

      Returns an existing prepared query
      Parameters:
        `id` - the id of the query to read
      Returns:
        reference to this, for fluency

    - #### rxGetPreparedQuery

          public Single<PreparedQueryDefinition> rxGetPreparedQuery(String id)

      Returns an existing prepared query
      Parameters:
        `id` - the id of the query to read
      Returns:
        reference to this, for fluency

    - #### getAllPreparedQueries

          public ConsulClient getAllPreparedQueries(Handler<AsyncResult<List<PreparedQueryDefinition>>> resultHandler)

      Returns a list of all prepared queries.
      Parameters:
        `resultHandler` - will be provided with list of definitions of the all prepare queries
      Returns:
        reference to this, for fluency

    - #### getAllPreparedQueries

          public ConsulClient getAllPreparedQueries()

      Returns a list of all prepared queries.
      Returns:
        reference to this, for fluency

    - #### rxGetAllPreparedQueries

          public Single<List<PreparedQueryDefinition>> rxGetAllPreparedQueries()

      Returns a list of all prepared queries.
      Returns:
        reference to this, for fluency

    - #### updatePreparedQuery

          public ConsulClient updatePreparedQuery(PreparedQueryDefinition definition,
                                                  Handler<AsyncResult<Void>> resultHandler)

      Parameters:
        `definition` - definition of the prepare query
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### updatePreparedQuery

          public ConsulClient updatePreparedQuery(PreparedQueryDefinition definition)

      Parameters:
        `definition` - definition of the prepare query
      Returns:
        reference to this, for fluency

    - #### rxUpdatePreparedQuery

          public Single<Void> rxUpdatePreparedQuery(PreparedQueryDefinition definition)

      Parameters:
        `definition` - definition of the prepare query
      Returns:
        reference to this, for fluency

    - #### deletePreparedQuery

          public ConsulClient deletePreparedQuery(String id,
                                                  Handler<AsyncResult<Void>> resultHandler)

      Deletes an existing prepared query
      Parameters:
        `id` - the id of the query to delete
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### deletePreparedQuery

          public ConsulClient deletePreparedQuery(String id)

      Deletes an existing prepared query
      Parameters:
        `id` - the id of the query to delete
      Returns:
        reference to this, for fluency

    - #### rxDeletePreparedQuery

          public Single<Void> rxDeletePreparedQuery(String id)

      Deletes an existing prepared query
      Parameters:
        `id` - the id of the query to delete
      Returns:
        reference to this, for fluency

    - #### executePreparedQuery

          public ConsulClient executePreparedQuery(String query,
                                                   Handler<AsyncResult<PreparedQueryExecuteResponse>> resultHandler)

      Executes an existing prepared query.
      Parameters:
        `query` - the ID of the query to execute. This can also be the name of an existing prepared query, or a name that matches a prefix name for a prepared query template.
        `resultHandler` - will be provided with response
      Returns:
        reference to this, for fluency

    - #### executePreparedQuery

          public ConsulClient executePreparedQuery(String query)

      Executes an existing prepared query.
      Parameters:
        `query` - the ID of the query to execute. This can also be the name of an existing prepared query, or a name that matches a prefix name for a prepared query template.
      Returns:
        reference to this, for fluency

    - #### rxExecutePreparedQuery

          public Single<PreparedQueryExecuteResponse> rxExecutePreparedQuery(String query)

      Executes an existing prepared query.
      Parameters:
        `query` - the ID of the query to execute. This can also be the name of an existing prepared query, or a name that matches a prefix name for a prepared query template.
      Returns:
        reference to this, for fluency

    - #### executePreparedQueryWithOptions

          public ConsulClient executePreparedQueryWithOptions(String query,
                                                              PreparedQueryExecuteOptions options,
                                                              Handler<AsyncResult<PreparedQueryExecuteResponse>> resultHandler)

      Executes an existing prepared query.
      Parameters:
        `query` - the ID of the query to execute. This can also be the name of an existing prepared query, or a name that matches a prefix name for a prepared query template.
        `options` - the options used to execute prepared query
        `resultHandler` - will be provided with response
      Returns:
        reference to this, for fluency

    - #### executePreparedQueryWithOptions

          public ConsulClient executePreparedQueryWithOptions(String query,
                                                              PreparedQueryExecuteOptions options)

      Executes an existing prepared query.
      Parameters:
        `query` - the ID of the query to execute. This can also be the name of an existing prepared query, or a name that matches a prefix name for a prepared query template.
        `options` - the options used to execute prepared query
      Returns:
        reference to this, for fluency

    - #### rxExecutePreparedQueryWithOptions

          public Single<PreparedQueryExecuteResponse> rxExecutePreparedQueryWithOptions(String query,
                                                                                        PreparedQueryExecuteOptions options)

      Executes an existing prepared query.
      Parameters:
        `query` - the ID of the query to execute. This can also be the name of an existing prepared query, or a name that matches a prefix name for a prepared query template.
        `options` - the options used to execute prepared query
      Returns:
        reference to this, for fluency

    - #### registerCatalogService

          public ConsulClient registerCatalogService(Node nodeOptions,
                                                     ServiceOptions serviceOptions,
                                                     Handler<AsyncResult<Void>> resultHandler)

      Register node with external service
      Parameters:
        `nodeOptions` - the options of new node
        `serviceOptions` - the options of new service
        `resultHandler` - will be provided with response
      Returns:
        reference to this, for fluency

    - #### registerCatalogService

          public ConsulClient registerCatalogService(Node nodeOptions,
                                                     ServiceOptions serviceOptions)

      Register node with external service
      Parameters:
        `nodeOptions` - the options of new node
        `serviceOptions` - the options of new service
      Returns:
        reference to this, for fluency

    - #### rxRegisterCatalogService

          public Single<Void> rxRegisterCatalogService(Node nodeOptions,
                                                       ServiceOptions serviceOptions)

      Register node with external service
      Parameters:
        `nodeOptions` - the options of new node
        `serviceOptions` - the options of new service
      Returns:
        reference to this, for fluency

    - #### deregisterCatalogService

          public ConsulClient deregisterCatalogService(String nodeId,
                                                       String serviceId,
                                                       Handler<AsyncResult<Void>> resultHandler)

      Deregister entities from the node or deregister the node itself.
      Parameters:
        `nodeId` - the ID of node
        `serviceId` - the ID of the service to de-registered; if it is null, the node itself will be de-registered (as well as the entities that belongs to that node)
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### deregisterCatalogService

          public ConsulClient deregisterCatalogService(String nodeId,
                                                       String serviceId)

      Deregister entities from the node or deregister the node itself.
      Parameters:
        `nodeId` - the ID of node
        `serviceId` - the ID of the service to de-registered; if it is null, the node itself will be de-registered (as well as the entities that belongs to that node)
      Returns:
        reference to this, for fluency

    - #### rxDeregisterCatalogService

          public Single<Void> rxDeregisterCatalogService(String nodeId,
                                                         String serviceId)

      Deregister entities from the node or deregister the node itself.
      Parameters:
        `nodeId` - the ID of node
        `serviceId` - the ID of the service to de-registered; if it is null, the node itself will be de-registered (as well as the entities that belongs to that node)
      Returns:
        reference to this, for fluency

    - #### close

          public void close()

      Close the client and release its resources

    - #### newInstance

          public static ConsulClient newInstance(ConsulClient arg)

Copyright © 2024 Eclipse. All rights reserved.